<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Settings;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class AdminSettingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $page_title = "Settings";

        $all_settings = Settings::distinct()->get(array('id','description','site_key','value','input_type'));

        $all_settings_array = array();
        $old_key = "";

        foreach ($all_settings as $all_setting){
            $old_key = $all_setting['settings_type'];

            $all_settings_array[$old_key][] = array(
                'id'=>$all_setting['id'],
                'key' => $all_setting['site_key'],
                'value' => $all_setting['value'],
                'descr' => $all_setting['description'],
                'type'=>$all_setting['input_type']
            );
        }

        $data['all_key'] = array_keys($all_settings_array);
        $data['all_settings_array'] = $all_settings_array;

        return view('web.admin.settings.index', compact('page_title'),$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {


        if($request->file('site_logo')){
            $file= $request->file('site_logo');
            $filename= "logo.".$file->clientExtension();
            $file-> move('assets/images/logo', $filename);
            $image= $filename;
            $settings = Settings::where('site_key', 'site_logo')->first();
            $settings->value = $image;
            $settings->save();
        }

        foreach ($request->input() as $key => $value){


            if($key !== '_token') {
                $settings = Settings::where('site_key', $key)->first();

                $settings->value = $value;
                $settings->save();

            }

        }


        return back()->with('alert_success','Details Save Successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
