<?php

namespace App\Http\Controllers\Admin;

use App\Models\Loan;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\Wallets;
use Illuminate\Support\Facades\Redis;
use Illuminate\Support\Facades\Validator;

class LoanController extends Controller
{
    public function index()
    {
        $page_title = "Loan";
        return view('web.admin.loan.index', compact('page_title'));
    }

    public function delete($id)
    {
        Loan::find($id)->delete();
        return back()->with("alert_success", "Successfully deleted user loan");
    }

    public function view($id)
    {
        $loan = Loan::find($id);
        
        $page_title = "Loan";
        return view("web.admin.loan.view", compact('loan','page_title'));
    }

    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            "status" => "required",
        ]);
        $loan = Loan::find($id);


        if ($validator->fails()) {
            return back()->with("alert_error", $validator->messages()->first());
        } else {
            $loan->status = $request->status;

            if($loan->status=="approve"){
                $wallet=Wallets::where("user_id",$loan->user_id)->first();
                $wallet->loan_amount+=$loan->amount;
                $wallet->save();

            }
            $loan->save();

            return back()->with("alert_success", "Successfully updated user loan");
        }
    }
}
