<?php

namespace App\Http\Controllers\Users;

use App\Http\Controllers\Controller;
use App\Models\Deposit;
use App\Models\Transactions;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class DepositController extends Controller
{
    public function deposit(Request $request)
    {
        $validator = Validator::make($request->all(), [
            "amount" => "required|numeric",
            "py_id" => "required|integer",
            "image" => "required|mimes:png,jpg,jpeg",
        ], [], [
            "image" => "screenshot",
            "py_id" => "payment method",
        ]);

        if ($validator->fails()) {
            return post_response($request->isMobile, "alert_error", $validator->messages()->first(), [
                "errors" => $validator->messages(),
                "status" => 404,
            ]);
        }

        if($request->file('image')){
            $file= $request->file('image');
            $filename= date('YmdHi').$file->getClientOriginalName();
            $file-> move('image/deposit/transaction', $filename);
            $image= $filename;
        }


        $deposit = new Deposit();
        $deposit->user_id = authUser("id");
        $deposit->reference = "DP".random_int(0000,9999);
        $deposit->py_id = $request->py_id;
        $deposit->image = $image;
        $deposit->amount = $request->amount;

        if ($deposit->save()) {
            $trans = new Transactions();
            $trans->user_id = authUser("id");
            $trans->trans_id = $deposit->reference;
            $trans->trans_reference = uniqid(15);
            $trans->amount = $deposit->amount;
            $trans->trans_type = "deposit";

            if ($trans->save()) {
                return post_response($request->isMobile, "alert_success", "Your transaction is on process", [
                    "status" => 200,
                    'redirect' =>CheckDevice('user.transaction')
                ],
                    CheckDevice('user.transaction')
                );

            }
        }

        return post_response($request->isMobile, "alert_error", "Opps something went wrong",
            [
            'status' => 404,
            'redirect'=>"/"
        ]);
    }
}
