<?php

namespace App\Http\Controllers\Users;

use App\Http\Controllers\Controller;
use App\Models\Loan;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class LoanController extends Controller
{
    public function apply_loan(Request $request)
    {
        $validator = Validator::make($request->all(), [
            "amount" => "required|integer",
            "duration" => "required",
            "reason" => "required"
        ]);
        if ($validator->fails()) {
            return post_response($request->isMobile, "alert_error", $validator->messages()->first(), [
                "errors" => $validator->messages(),
                "status" => 404,
            ]);
        } else {
            $load = new Loan();
            $load->user_id = authUser("id");
            $load->amount = $request->amount;
            $load->duration = $request->duration;
            $load->reason = $request->reason;

            if ($load->save()) {
                return post_response($request->isMobile, "alert_success", "Your loan request was success, Your request is on pending!", [
                    "status" => 200,
                ]);
            }
            return post_response($request->isMobile, "alert_error", "Opps something went wrong", [
                "status" => 400,
            ]);
        }
    }
}
