<?php

namespace App\Http\Controllers\Users;

use App\Http\Controllers\Controller;
use App\Models\SupportTicket;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class SupportController extends Controller
{
    //TODO INITIALIZE SEND SUPPORT
    public function send_support(Request $request){
        $validator = Validator::make($request->all(), [
            "support_type"=>"required",
            "subject"=>"required",
            "message"=>"required"
        ]);

        if ($validator->fails()) {
            return post_response($request->isMobile, "alert_error", $validator->messages()->first(), [
                "errors" => $validator->messages(),
                "status" => 404,
            ]);
        }else{
            $support= new SupportTicket();
            $support->subject = $request->subject;
            $support->support_type = $request->support_type;
            $support->message = $request->message;
            $support->user_id = authUser("id");
            if($support->save()) {
                return post_response($request->isMobile, "alert_success", "Thank you for contacting us, Your request is on pending!", [
                    "status" => 200,
                ]);
            }
            return post_response($request->isMobile, "alert_error", "Opps something went wrong", [
                "status" => 400,
            ]);
        }
    }
}
