<?php

use App\Models\Wallets;

if (!function_exists('CheckDevice')) {
    function CheckDevice($route, $returnURL = false)
    {
        $useragent = $_SERVER['HTTP_USER_AGENT'];
        if (preg_match('/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i', $useragent) || preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i', substr($useragent, 0, 4))) {
            if ($returnURL) return route("m." . $route);
            else return redirect(route("m." . $route));
        }

        if ($returnURL) {
            return route("d." . $route);
        }

        return redirect(route("d." . $route));
    }
}

function get_settings($setting_key)
{
    $setting_data = \App\Models\Settings::where("site_key", $setting_key)->first();
    return $setting_data->value;
}


function authUser($value){
    $w = \App\Models\User::leftjoin('wallets','wallets.user_id','=','users.id')
        ->leftjoin('currencies','currencies.id','=','users.acct_currency')
        ->selectRaw('users.*,wallets.acct_balance as balance,wallets.acct_credited as credited,wallets.acct_debited as debited,wallets.loan_amount as loan_amount,currencies.currency_code')
        ->where('users.id', auth()->user()->id)->first();
    return $w->$value;
}

function getCurrency($value,$amount)
{
    return \App\Models\Currency::where('id', auth()->user()->acct_currency)->first()->$value. number_format($amount, '2');
}

function adminGetCurrency($type,$value){
    return \App\Models\Currency::where('id', $type)->first()->$value;
}

function adminGetCountry($type,$value){
    return \App\Models\Country::where('id', $type)->first()->$value;
}


//AUTH USER WALLET
function userWallet($value){
    return Wallets::where("user_id",auth()->user()->id)->first()->$value;
}


//POSSIBLE GENDER OPTIONS
function gender_options()
{
    return ["Male", "Female"];
}

//POSSIBLE MARITAL STATUS OPTIONS
function marital_status_option()
{
    return ['single', 'married', 'widowed', 'divorced', 'separated'];
}

//
function post_response($isMobile, $name, $msg, $ajax_data = [], $redirect =false)
{
    if (!$isMobile) {
        if($redirect) {
            return $redirect->with($name,$msg);
        }
        return back()->with($name, $msg);
    }else {
        $ajax_data["msg"] = $msg;
        return $ajax_data;
    }
}


if(!function_exists('WUserStatus')){
    function WUserStatus($status){
        $v = null;
        if($status == "Pending"){
            $v = "<span class='badge badge-warning col-12'>Process</span>";
        }elseif ($status == "Approve"){
            $v = "<span class='badge badge-success col-12'>Approve</span>";
        }elseif ($status == "Disapprove"){
            $v = "<span class='badge badge-danger col-12'>Disapprove</span>";
        }

        return $v;
    }

}

if(!function_exists('userStatus')){
    function userStatus($status)
    {
        $v = null;
        if ($status == "1") {
            $v = "<div class='value badge badge-pill badge-success'>Active</div>
";
        } elseif ($status == "2") {
            $v = "<div class='value badge badge-pill badge-danger'>Hold</div>";
        }

        return $v;
    }
}


if(!function_exists('WUserStatus')){
    function WUserStatus($status){
        $v = null;
        if($status == "pending"){
            $v = "<span class='badge badge-warning col-12'>Process</span>";
        }elseif ($status == "approve"){
            $v = "<span class='badge badge-success col-12'>Approve</span>";
        }elseif ($status == "disapprove"){
            $v = "<span class='badge badge-danger col-12'>Disapprove</span>";
        }

        return $v;
    }

}


function get_timeago( $ptime )
{
    date_default_timezone_set('America/Los_Angeles');
    $estimate_time = time() - $ptime;

    if( $estimate_time < 1 )
    {
        return 'less than 1 second ago';
    }

    $condition = array(
        12 * 30 * 24 * 60 * 60  =>  'year',
        30 * 24 * 60 * 60       =>  'month',
        24 * 60 * 60            =>  'day',
        60 * 60                 =>  'hour',
        60                      =>  'minute',
        1                       =>  'second'
    );

    foreach( $condition as $secs => $str )
    {
        $d = $estimate_time / $secs;

        if( $d >= 1 )
        {
            $r = round( $d );
            return 'about ' . $r . ' ' . $str . ( $r > 1 ? 's' : '' ) . ' ago';
        }
    }
}


if(!function_exists('getAmountTypeStatus')){
    function getAmountTypeStatus($type,$amt = null,$is_status = true): ?string
    {

        $v = null;
        $amount = getCurrency('currency_symbol',$amt);
        if($is_status === false) {
            if($type == 'wire_transfer' || $type == 'dom_transfer')
            {
                $v = "<span class='text-danger'>- $amount</span>";
            }
            else if($type == 'deposit')
            {
                $v = "<span class='text-success'>+ $amount</span>";
            }
        }else if($type === 'pending' && $is_status === true){
            $v = "<span class='status-pill smaller yellow'></span><span>Pending</span>";
        }else if ($type === 'approve' && $is_status === true){
            $v = "<span class='status-pill smaller green'></span><span>Approved</span>";
        }else{
            $v = "<span class='status-pill smaller red'></span><span>disapprove</span>";
        }

        return $v;
    }

}

function getTransType($value) {
    $data = NULL;
    if($value == "wire_transfer"){
        $data = "Wire Transfer";
    }else if($value == "dom_transfer"){
        $data = "Domestic Transfer";
    }else{
        $data = $value;
    }

    return $data;
}

if(!function_exists('getTransCategory')){
    function getTransCategory($category)
    {
        $v = null;
        $cat = getTransType($category);
        if($category == 'wire_transfer'){
            $v = "<span class='badge badge-info'>$cat</span>";
        }else if ($category == 'dom_transfer'){
            $v = "<span class='badge badge-primary'>$cat</span>";
        }else if ($category == 'deposit'){
            $v = "<span class='badge badge-success'>$cat</span>";
        }

        return $v;
    }
}


function AdminStatus($value){
    if($value == "approve"){
        return '<span class="badge badge-soft-success fs-11"><i class="ri-checkbox-circle-line align-bottom"></i>Active</span>';
    }elseif($value == "disapprove"){
        return '<span class="badge badge-soft-danger fs-11"><i class="ri-time-line align-bottom"></i> Hold</span>';
    }

    return '<span class="badge badge-soft-warning fs-11"><i class="ri-time-line align-bottom"></i> Processing</span>';
}


function getUserStatus($value,$withHTML=false){
    $v = null;
    if($value == '1'){
        if($withHTML){
            $v = "<label class='text-success'>ACTIVE</label>";
        }else{
            $v="ACTIVE";
        }
    }elseif($value =='2'){
        if($withHTML){
            $v = "<label class='text-warning'>HOLD</label>";
        }else{
            $v="HOLD";
        }
    }else{
        if($withHTML){
            $v = "<label class='text-danger'>SUSPEND</label>";
        }else{
            $v="SUSPEND";
        }
    }

    return $v;
}


function adminGetUser($user,$value){
    return \App\Models\User::where('id',$user)->first()->$value;
}

//TODO SLIP CARD NUMBER
function slip_card_number($number){
    $slip_number="";
    for($i=0;$i<strlen($number);$i++){
        if($i%4==0){
            $slip_number.=" ";
        }
        $slip_number.=$number[$i];
    }
    return $slip_number;
}

//TODO GENERATE CARD NUMBER
function generateCardNumber($value){
    $v = null;
    if($value == 'mastercard') {
        $v = "529".random_int(1000000000000,9999999999999);
    }elseif ($value == 'unionpay'){
        $v = "629".random_int(1000000000000,9999999999999);
    }elseif ($value=='visa'){
        $v = "409".random_int(1000000000000,9999999999999);
    }elseif($value=='maestro'){
        $v="679".random_int(1000000000000,9999999999999);
    }elseif ($value=='american_express'){
        $v="379".random_int(1000000000000,9999999999999);
    }elseif ($value=='discover'){
        $v="601".random_int(1000000000000,9999999999999);
    }elseif ($value=='diners'){
        $v="309".random_int(1000000000000,9999999999999);
    }

    return $v;
}



