<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('acct_number');
            $table->string('firstname');
            $table->string('lastname');
            $table->string('username');
            $table->string('email')->unique();
            $table->text('password');
            $table->integer('role_id')->default('1');
            $table->bigInteger('phone')->nullable();
            $table->text('acct_address')->default('0000');
            $table->text('image')->default('avatar.png');
            $table->integer('billing_code')->default('1');
            $table->double('acct_limit')->default('5000');
            $table->text('acct_type')->default('Savings');
            $table->enum('acct_gender',['Male','Female']);
            $table->string('marital_status')->default('single');
            $table->string('acct_currency')->default('1');
            $table->integer('acct_status')->default('1');
            $table->string('acct_occupation')->nullable();
            $table->date('acct_dob')->nullable();
            $table->string('acct_ssn')->nullable();
            $table->integer('acct_state')->nullable();
            $table->integer('acct_country')->nullable();
            $table->string('acct_pin')->default('1234');
            $table->string('acct_otp')->default('1234');
            $table->string('acct_cot')->default('1234');
            $table->string('acct_imf')->default('1234');
            $table->string('acct_tax')->default('1234');
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
