<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wire_transfers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id');
            $table->string('reference');
            $table->float('amount');
            $table->string('bank_name');
            $table->string('acct_name');
            $table->string('acct_number');
            $table->string('acct_type');
            $table->integer('acct_country');
            $table->string('acct_swift')->nullable();
            $table->string('acct_routing')->nullable();
            $table->string('acct_remark')->nullable();
            $table->enum('status', ['initialize','pending','approve', 'disapprove'])->default('initialize');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('wire_transfers');
    }
};
