@extends('web.layouts.auth.app')

@push('content')

    <!-- auth-page wrapper -->
    <div class="auth-page-wrapper auth-bg-cover py-5 d-flex justify-content-center align-items-center min-vh-100">
        <div class="bg-overlay"></div>
        <!-- auth-page content -->
        <div class="auth-page-content overflow-hidden pt-lg-5">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card overflow-hidden m-0">
                            <div class="row justify-content-center g-0">
                                <div class="col-lg-6">
                                    <div class="p-lg-5 p-4 auth-one-bg h-100">
                                        <div class="bg-overlay"></div>
                                        <div class="position-relative h-100 d-flex flex-column">
                                            <div class="mb-4">
                                                <a href="{{url('/')}}" class="d-block">
                                                    <img src="{{url('assets/images/logo/'.get_settings('site_logo'))}}" alt="" height="50">
                                                </a>
                                            </div>
                                            <div class="mt-auto">
                                                <div class="mb-3">
                                                    <i class="ri-double-quotes-l display-4 text-success"></i>
                                                </div>

                                                <div id="qoutescarouselIndicators" class="carousel slide" data-bs-ride="carousel">
                                                    <div class="carousel-indicators">
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators" data-bs-slide-to="1" aria-label="Slide 2"></button>
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators" data-bs-slide-to="2" aria-label="Slide 3"></button>
                                                    </div>
                                                    <div class="carousel-inner text-center text-white-50 pb-5">
                                                        <div class="carousel-item active">
                                                            <p class="fs-15 fst-italic">"Join over 100,000 users across the globe to trade Giftcards effortlessly with
                                                                {{ucwords(config('app.name'))}}  "</p>
                                                        </div>
                                                        <div class="carousel-item">
                                                            <p class="fs-15 fst-italic">" {{ucwords(config('app.name'))}} gives you access to a wide range of digital assets all at your convenience "</p>
                                                        </div>
                                                        <div class="carousel-item">
                                                            <p class="fs-15 fst-italic">" {{ucwords(config('app.name'))}} is for the one who longs for an easier and convenient way to get anything at anytime. {{ucwords(config('app.name'))}} is for you. "</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- end carousel -->

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-6">
                                    <div class="p-lg-5 p-4">
                                        <div>
                                            <h5 class="text-primary">Register Account</h5>
                                            <p class="text-muted">Get your Free {{ucwords(config('app.name'))}} account now.</p>
                                        </div>

                                        <div class="mt-4">
                                            <form class="needs-validation" novalidate action="{{route('register.store')}}" method="post" enctype="multipart/form-data">
                                                @csrf
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="firstname" class="form-label">First name <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="firstname" placeholder="" name="firstname" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Your First Name
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="lastname" class="form-label">Last Name <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="lastname" placeholder="" name="lastname" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Your Last Name
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="username" class="form-label">Username <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="username" placeholder="" name="username" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Your Username
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="email" class="form-label">Email <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="email" placeholder="" name="email" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Your Email
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="phone" class="form-label">Phone <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="phone" placeholder="" name="phone" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Your Phone
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="gender" class="form-label">Gender <span class="text-danger">*</span></label>
                                                            <select type="text" class="form-control" id="gender" name="gender" required>
                                                                <option value="">--Select Gender--</option>
                                                                <option value="Male">Male</option>
                                                                <option value="Female">Female</option>
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Enter Gender
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="mb-3">
                                                            <label for="acct_dob" class="form-label">Date Of Birth <span class="text-danger">*</span></label>
                                                            <input type="date" class="form-control" id="acct_dob" placeholder="" name="acct_dob" required>
                                                            <div class="invalid-feedback">
                                                                Please Enter Date Of Birth
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="mb-3">
                                                            <label for="acct_country" class="form-label">Country <span class="text-danger">*</span></label>
                                                            <select class="form-control" id="acct_country" name="acct_country" required  onchange="changeCountry(this)">
                                                                <option selected disabled value="">--Select Country--</option>
                                                                @foreach (\App\Models\Country::all() as $country)
                                                                    <option value="{{ $country->id }}">{{ ucwords($country->name) }}</option>
                                                                @endforeach
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Enter Country
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                </div>
                                                
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="state" class="form-label">State <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="state" id="state">
                                                                <option value="" selected disabled>--State--</option>
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Enter State
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="acct_ssn" class="form-label">Zipcode <span class="text-danger">*</span></label>
                                                            <input class="form-control" name="zip_code" id="acct_ssn"/>
                                                            <div class="invalid-feedback">
                                                                Please Enter Zipcode
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                    
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="marital_status" class="form-label">Marital Status <span class="text-danger">*</span></label>
                                                            <select class="form-control" id="marital_status" name="marital_status" required>
                                                                <option selected disabled value="">--Select Marital Status--</option>
                                                                <option value="Married">Married</option>
                                                                <option value="Single">Single</option>
                                                                <option value="Widowed">Widowed</option>
                                                                <option value="Divorced">Divorced</option>
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Enter Marital Status
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="gender" class="form-label">Account Type <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="acct_type" id="acct_type" required>
                                                                <option selected disabled value="">Account Type</option>
                                                                <option value="Savings">Savings Account</option>
                                                                <option value="Current">Current Account</option>
                                                                <option value="Checking">Checking Account</option>
                                                                <option value="Fixed Deposit">Fixed Deposit</option>
                                                                <option value="Non Resident">Non Resident Account</option>
                                                                <option value="Online Banking">Online Banking</option>
                                                                <option value="Domiciliary Account">Domiciliary Account</option>
                                                                <option value="Joint Account">Joint Account</option>
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Enter Account Type
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="acct_currency" class="form-label">Currency</label>
                                                            <select class="form-control" name="acct_currency" id="acct_currency" required>
                                                                <option selected disabled>--Select Currency--</option>
                                                                @foreach (\App\Models\Currency::all() as $currency)
                                                                    <option value="{{ $currency->id }}">
                                                                        {{ $currency->currency_code . "($currency->currency_symbol)" }}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="mb-3">
                                                            <label for="acct_ssn" class="form-label">SSN <span class="text-danger">*</span></label>
                                                            <input class="form-control" name="acct_ssn" id="acct_ssn"/>
                                                            <div class="invalid-feedback">
                                                                Please Enter SSN
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="mb-3">
                                                            <label for="acct_occupation" class="form-label">Occupation <span class="text-danger">*</span></label>
                                                            <input class="form-control" id="acct_occupation" name="occupation" required/>
                                                            <div class="invalid-feedback">
                                                                Please Enter Occupation
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="mb-3">
                                                            <label for="address" class="form-label">Address <span class="text-danger">*</span></label>
                                                            <textarea class="form-control" id="address" name="address" required></textarea>
                                                            <div class="invalid-feedback">
                                                                Please Enter Occupation
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="mb-3">
                                                            <label for="profile_image" class="form-label">Profile Image <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="file" accept="image/*" name="image" id="profile_image" required/>
                                                            <div class="invalid-feedback">
                                                                Please Enter Profile Image
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="mb-3">
                                                    <label class="form-label" for="password-input">Password</label>
                                                    <div class="position-relative auth-pass-inputgroup">
                                                        <input type="password" class="form-control pe-5 password-input" onpaste="return false" placeholder="Enter password" id="password-input" aria-describedby="passwordInput" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" name="password" required>
                                                        <button class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon1" type="button" id="password-addon1"><i class="ri-eye-fill align-middle"></i></button>
                                                        <div class="invalid-feedback">
                                                            Please enter password
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="mb-3">
                                                    <label class="form-label" for="password-input">Confirm Password</label>
                                                    <div class="position-relative auth-pass-inputgroup">
                                                        <input type="password" class="form-control pe-5" onpaste="return false" placeholder="Enter password" name="confirm_password"  required>
                                                        <div class="invalid-feedback">
                                                            Please enter Confirm Password
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="mb-4 mt-2">
                                                    <p class="mb-0 fs-12 text-muted fst-italic">By registering you agree to the
                                                        {{ucwords(config('app.name'))}} <a href="#" class="text-primary text-decoration-underline fst-normal fw-medium">Terms of Use</a></p>
                                                </div>

                                                <div id="password-contain" class="p-3 bg-light mb-2 rounded">
                                                    <h5 class="fs-13">Password must contain:</h5>
                                                    <p id="pass-length" class="invalid fs-12 mb-2">Minimum <b>8 characters</b></p>
                                                    <p id="pass-lower" class="invalid fs-12 mb-2">At <b>lowercase</b> letter (a-z)</p>
                                                    <p id="pass-upper" class="invalid fs-12 mb-2">At least <b>uppercase</b> letter (A-Z)</p>
                                                    <p id="pass-number" class="invalid fs-12 mb-0">A least <b>number</b> (0-9)</p>
                                                </div>

                                                <div class="mt-4">
                                                    <button class="btn btn-success w-100" type="submit">Sign Up</button>
                                                </div>
                                            </form>
                                        </div>

                                        <div class="mt-5 text-center">
                                            <p class="mb-0">Already have an account ? <a href="{{CheckDevice('login',true)}}" class="fw-semibold text-primary text-decoration-underline"> Login</a> </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end card -->
                    </div>
                    <!-- end col -->

                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end auth page content -->
        <script>
            function changeCountry(element) {
            $.ajax({
                url: "{{ route('get_country_states') }}",
                data: {
                    country: $(element).val()
                },
                success: function(res) {
                    $("#state").html(res)
                }
            })
        }
    </script>
    
<script src="//code.tidio.co/3ai47hujw4hxi0aacvlmucseu3wyr5nt.js" async></script>
@endpush
