<!DOCTYPE html>
<html lang="en" class="isPWA">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="viewport"
        content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
    <title>Forget Password - {{ get_settings('site_title') }} </title>
    <link rel="stylesheet" type="text/css" href="{{ url('assets/mobile/styles/bootstrap.css') }}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css">
    <link rel="shortcut icon" href="{{ url('assets/images/logo/logo.png') }}" type="image/x-icon">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link
        href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@500;600;700&family=Roboto:wght@400;500;700&display=swap"
        rel="stylesheet">
    <link rel="manifest" href="{{ url('_manifest.json') }}">
    <meta id="theme-check" name="theme-color" content="#FFFFFF">
    <link rel="apple-touch-icon" sizes="180x180" href="app/icons/icon-192x192.png">
    <script src="{{ url('assets/jquery.js') }}"></script>
    <script src="{{ url('assets/elementajax.min.js') }}"></script>
</head>

<body class="theme-light">
    <div id="preloader" class="preloader-hide">
        <div class="spinner-border color-highlight" role="status"></div>
    </div>

    <div id="page" data-swup="0" style="display: block;">

        <div class="page-content my-0 py-0">
            <div class="card bg-5 card-fixed">
                <form class="card-center mx-3 px-4 py-4 bg-white rounded-m" id="forgetpassword" data-method="POST"
                    data-url="{{ route('forgetpassword.submit') }}" action="javascript:void(0)"
                    onsubmit="makeForgetPassword(event)">
                    @csrf
                    <input type="text" name="isMobile" value="1" hidden>
                    <h1 class="font-30 font-800 mb-0">{{ get_settings('site_title') }}</h1>
                    <p>Recover your Account</p>
                    <div id="form-body">
                        <div class="form-custom form-label form-border form-icon mb-3 bg-transparent">
                            <i class="bi bi-at font-16"></i>
                            <input type="email" name="email" class="form-control rounded-xs" id="c1"
                                placeholder="Email Address">
                            <label for="c1" class="color-theme">Email Address</label>
                            <span>(required)</span>
                            <p data-for="#forgetpassword" data-error="email" class="text-danger  mb-1"></p>
                        </div>
                        <div>
                            <button id="send_btn" class="btn btn-full gradient-highlight shadow-bg shadow-bg-s mt-4"
                                data-btn-loader="#forgetpassword" style="width: 100%">Send
                                Recovery Instructions</button>
                        </div>
                        <div class="row">
                            <div class="col-6 text-start">
                                <a href="/register" class="font-11 color-theme opacity-40 pt-4 d-block">Create
                                    Account</a>
                            </div>
                            <div class="col-6 text-end">
                                <a href="/m/app/login" class="font-11 color-theme opacity-40 pt-4 d-block">Sign In
                                    Account</a>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="card-overlay rounded-0 m-0 bg-black opacity-70"></div>
            </div>
        </div>

        @include('mobile.incs.flash')



        <script src="{{ url('assets/mobile/scripts/bootstrap.min.js') }}"></script>
        <script src="{{ url('assets/mobile/scripts/custom.js') }}"></script>
        <script src="{{ url('assets/mobile/scripts/main.js') }}"></script>

</body>

</html>
