<!DOCTYPE HTML>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="viewport"
        content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
    <title>Reset Password - {{ get_settings('site_title') }} </title>
    <link rel="stylesheet" type="text/css" href="{{ url('assets/mobile/styles/bootstrap.css') }}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="shortcut icon" href="{{ url("assets/images/logo/".get_settings('site_logo')) }}" type="image/x-icon">
    <link
        href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@500;600;700&family=Roboto:wght@400;500;700&display=swap"
        rel="stylesheet">
    <link rel="manifest" href="{{ url('_manifest.json') }}">
    <meta id="theme-check" name="theme-color" content="#FFFFFF">
    <link rel="apple-touch-icon" sizes="180x180" href="app/icons/icon-192x192.png">
    <script src="{{ url('assets/jquery.js') }}"></script>
    <script src="{{ url('assets/elementajax.min.js') }}"></script>
</head>

<body class="theme-light">
    <div id="preloader">
        <div class="spinner-border color-highlight" role="status"></div>
    </div>

    <div id="page">
        <div class="page-content my-0 py-0">
            <form class="card bg-5 card-fixed" action="javascript:void(0)" data-url="{{ route('reset_password.submit') }}"
                id="reset_password" data-method="POST">
                @csrf
                <input type="text" name="isMobile" value="1" hidden>
                <div class="card-center mx-3 px-4 py-4 bg-white rounded-m">
                    <h1 class="font-30 font-800 mb-0">{{ get_settings('site_title') }}</h1>
                    <p>Reset Password.</p>
                    
                    <input type="text" name="user_id" value="{{ $user_id }}" hidden/>

                    <div class="form-custom form-label form-border form-icon mb-3 bg-transparent">
                        <i class="bi bi-lock font-13"></i>
                        <input type="password" class="form-control rounded-xs" id="c1"
                            placeholder="New Password" name="new_password" />
                        <label for="c1" class="color-theme">New Password</label>
                        <span>(required)</span>
                        <p data-for="#reset_password" data-error="new_password" class="text-danger mb-1"></p>
                    </div>
                    <div class="form-custom form-label form-border form-icon mb-3 bg-transparent">
                        <i class="bi bi-lock font-13"></i>
                        <input type="password" class="form-control rounded-xs" id="c1"
                            placeholder="Confirm Password" name="confirm_password" />
                        <label for="c1" class="color-theme">Confirm Password</label>
                        <span>(required)</span>
                        <p data-for="#reset_password" data-error="confirm_password" class="text-danger mb-1"></p>
                    </div>
                   
                    <div>
                        <button class="btn btn-full gradient-highlight shadow-bg shadow-bg-s mt-4 w-100"
                            data-btn-loader="#reset_password" id="process_login">SIGN IN</button>
                    </div>
                    <div class="row">
                        <div class="col-6 text-start">

                            <a href="/register" class="font-11 color-theme opacity-40 pt-4 d-block">Forgot
                                Register?</a>
                        </div>
                        <div class="col-6 text-end">
                            <a href="{{route('register')}}" class="font-11 color-theme opacity-40 pt-4 d-block">Sign In Account</a>
                        </div>
                    </div>
                </div>
                <div class="card-overlay rounded-0 m-0 bg-black opacity-70"></div>
            </form>
        </div>
    </div>

    @include('mobile.incs.flash')


    <script src="{{ url('assets/mobile/scripts/bootstrap.min.js') }}"></script>
    <script src="{{ url('assets/mobile/scripts/custom.js') }}"></script>
    <script src="{{ url('assets/mobile/scripts/main.js') }}"></script>
</body>
