@extends('mobile.layouts.app')
@section('page_title', 'Payment')
@push('content')
    <div class="card card-style">
        <div class="content mb-0">
            <form class="p-3" action="javascript:void(0)" data-method="post" data-url="{{ route('user.loan') }}" onsubmit="sendLoan(event)" id="loan_form">
                @csrf
                <input name="isMobile" value="1" hidden/>
                <div class="form-group">
                    <label for="amount" class="form-label">Amount</label>
                    <input type="number" class="form-control" id="amount" name="amount" placeholder="Enter Amount">
                    <p class="text-danger" data-error="amount" data-for="#loan_form"></p>
                </div>
                <div class="form-group">
                    <label for="duration" class="form-label">Duration</label>
                    <select id="duration" class="form-control" name="duration">
                        <option value="" disabled selected>--Select Durarion --</option>
                        @for ($i=1;$i<=12;$i++)
                        <option value="{{ $i }} mouth">{{ $i }} Month</option>
                        @endfor
                       
                    </select>
                    <p class="text-danger" data-error="duration" data-for="#loan_form"></p>
                </div>
                <div class="form-group">
                    <label for="reason" class="form-label">Reason</label>
                    <textarea type="text" class="form-control" id="reason" name="reason" placeholder="Enter Reason"></textarea>
                    <p class="text-danger" data-error="reason" data-for="#loan_form"></p>
                </div>
    
                <button class="btn btn-full mt-3 col-12 gradient-highlight shadow-bg shadow-bg-xs" data-btn-loader="#loan_form">Submit</button>
            </form>
        </div>
    </div>
    <div class="card card-style">
        <?php
            $loans=\App\Models\Loan::where('user_id',authUser('id'))->get();

        ?>
        @foreach($loans as $loan)
        <div class="content">
            <a href="#" class="d-flex py-1" data-bs-toggle="offcanvas" data-bs-target="#menu-activity-{{$loan->id}}">
                <div class="align-self-center">
                <span class="icon gradient-highlight me-2 shadow-bg shadow-bg-s rounded-s">
                    <i class="bi bi-receipt"></i>
                                </span>
                </div>
                <div class="align-self-center ps-1">
                    <h5 class="pt-1 mb-n1">
                        {{getCurrency('currency_symbol', $loan->amount)}}
                    </h5>
                    <?php
                        $date=new DateTime($loan->created_at);
                        $str=$date->format('Y-m-d');
                        ?>
                    <p class="mb-0 font-11 opacity-70">{{$str}}</p>
                </div>
                <div class="align-self-center ms-auto text-end">
                    <h6 class="pt-1 mb-n1 color-green-dark">
                        {{ ucwords(str_replace('_'," ",$loan->support_type)) }}</h6>
                    @if ($loan->status == 'pending')
                        <p class="mb-0 font-11 text-warning"> {{ $loan->status }}</p>
                    @elseif ($loan->status == 'approve')
                        <p class="mb-0 font-11 text-success"> {{ $loan->status }}</p>
                    @else
                        <p class="mb-0 font-11 text-danger"> {{ $loan->status }}</p>
                    @endif
                </div>
            </a>
            <div class="divider my-2 opacity-50"></div>
            <div id="menu-activity-{{$loan->id}}"
                 class="offcanvas offcanvas-bottom offcanvas-detached rounded-m" style="display: block;margin-bottom: 90px">
                <div class="menu-size mb-3">
                    <div class="content">
                        <div class="d-flex align-items-center">
                            <h4 style="margin-right:auto" class="color-highlight">
                                {{ get_settings('site_title') }}</h4>
                            <img src="{{ url('assets/images/logo/logo.png') }}" alt=""
                                 style="width: 50px;
                                object-fit: contain;
                                margin-left:auto;
                                height: 50px;">
                        </div>
                        <div class="row">
                            <strong class="col-5">Amount</strong>
                            <strong class="col-7 text-end">   {{getCurrency('currency_symbol', $loan->amount)}}</strong>
                            <div class="col-12 mt-2 mb-2">
                                <div class="divider my-0"></div>
                            </div>
                        </div>
                        <div class="row">
                            <strong class="col-5">Duration</strong>
                            <strong class="col-7 text-end">{{$loan->duration}}</strong>
                            <div class="col-12 mt-2 mb-2">
                                <div class="divider my-0"></div>
                            </div>
                        </div>
                        <div class="row">
                            <strong class="col-5">Reason</strong>
                            <strong class="col-7 text-end">{{$loan->reason}}</strong>
                            <div class="col-12 mt-2 mb-2">
                                <div class="divider my-0"></div>
                            </div>
                        </div>
                        <div class="row">
                            <strong class="col-5">Status</strong>
                            @if ($loan->status == 'pending')
                                <strong class="col-7 text-end text-warning"> {{ $loan->status }}</strong>
                            @elseif ($loan->status == 'approve')
                                <strong class="col-7 text-end text-success"> {{ $loan->status }}</strong>
                            @else
                                <strong class="col-7 text-end text-danger"> {{ $loan->status }}</strong>
                            @endif
                            <div class="col-12 mt-2 mb-2">
                                <div class="divider my-0"></div>
                            </div>
                        </div>

                    </div>
                    <a href="#" data-bs-dismiss="offcanvas"
                       class="mx-3 btn btn-full gradient-highlight shadow-bg shadow-bg-s">Back</a>

                </div>
            </div>
        </div>
        @endforeach
    </div>

    
@endpush
