@extends('mobile.layouts.app')
@section('page_title', 'Dashboard')
@push('content')
    @include('mobile.incs.account')

    <div class="card card-style">
        <div class="content">
            <div class="tabs tabs-pill" id="tab-group-2">
                <div class="tab-controls rounded-m p-1 overflow-visible">
                    <a class="font-13 rounded-m shadow-bg shadow-bg-s" data-bs-toggle="collapse" href="#tab-4"
                        aria-expanded="true">Deposit</a>
                    <a class="font-13 rounded-m shadow-bg shadow-bg-s" data-bs-toggle="collapse" href="#tab-5"
                        aria-expanded="false">Wire </a>
                    <a class="font-13 rounded-m shadow-bg shadow-bg-s" data-bs-toggle="collapse" href="#tab-6"
                        aria-expanded="false">Domestic </a>
                    <a class="font-13 rounded-m shadow-bg shadow-bg-s" data-bs-toggle="collapse" href="#tab-7"
                        aria-expanded="false">All </a>
                </div>
                <div class="mt-3"></div>

                <div class="collapse show" id="tab-4" data-bs-parent="#tab-group-2">
                    <?php
                    $transactions = \App\Models\Transactions::leftjoin('deposits','deposits.reference','=','transactions.trans_id')->selectRaw('transactions.*,deposits.dep_from,deposits.description')->where('transactions.user_id', authUser('id'))
                        ->where('transactions.trans_type', 'deposit')
                        ->latest('transactions.created_at')
                        ->get();
                    ?>
                    @if (count($transactions) > 0)
                        @foreach ($transactions as $key => $trans)
                            <a href="#" class="d-flex py-1" data-bs-toggle="offcanvas"
                                data-bs-target="#menu-activity-{{ $key }}">
                                <div class="align-self-center">
                                    <span class="icon  me-2 shadow-bg shadow-bg-s rounded-s">
                                        <i class="font-28 color-blue-dark bi bi-arrow-down-circle"></i>
                                    </span>
                                </div>
                                <div class="align-self-center ps-1">
                                    <h5 class="pt-1 mb-n1">Deposit</h5>
                                </div>
                                <div class="align-self-center ms-auto text-end">
                                    <h4 class="pt-1 mb-n1 color-green-dark">
                                        {{ getCurrency('currency_symbol', $trans->amount) }}</h4>
                                    @if ($trans->status == 'pending')
                                        <p class="mb-0 font-11 text-warning"> {{ $trans->status }}</p>
                                    @elseif ($trans->status == 'approve')
                                        <p class="mb-0 font-11 text-success"> {{ $trans->status }}</p>
                                    @else
                                        <p class="mb-0 font-11 text-danger"> {{ $trans->status }}</p>
                                    @endif
                                </div>
                            </a>
                            <div class="divider my-2 opacity-50"></div>
                            <div id="menu-activity-{{ $key }}"
                                class="offcanvas offcanvas-bottom offcanvas-detached rounded-m" style="display: block;">
                                <div class="menu-size mb-3">
                                    <div class="content">
                                        <div class="d-flex align-items-center">
                                            <h4 style="margin-right:auto" class="color-highlight">
                                                {{ get_settings('site_title') }}</h4>
                                            <img src="{{ url('assets/images/logo/logo.png') }}" alt=""
                                                style="width: 50px;
                                    object-fit: contain;
                                    margin-left:auto;
                                    height: 50px;">
                                        </div>
                                        <div href="#" class="d-flex py-1 pb-4" id="pointer-none">
                                            <div class="align-self-center">
                                                <span class="icon me-2 shadow-bg shadow-bg-s rounded-s">
                                                    <i class="font-28 color-blue-dark bi bi-arrow-down-circle"></i>
                                                </span>
                                            </div>
                                            <div class="align-self-center ps-1" style="color: #333 !important  ">
                                                <h5 class="pt-1 mb-n1" style="color:#333 !important">Deposit</h5>
                                                <p class="mb-0 font-11 opacity-70">{{ $trans->created_at }}
                                                </p>
                                            </div>
                                            <div class="align-self-center ms-auto text-end">
                                                @if ($trans->status == 'pending')
                                                    <p class="pt-1 font-14 mb-n1 text-warning">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @elseif ($trans->status == 'approve')
                                                    <p class="pt-1 font-14 mb-n1 text-success">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @else
                                                    <p class="pt-1 font-14 mb-n1 text-danger">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @endif

                                            </div>
                                        </div>
                                        <div class="row">
                                            <strong class="col-5">Type</strong>
                                            <strong class="col-7 text-end">{{ strtoupper($trans->trans_type) }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Amount</strong>
                                            <strong class="col-7 text-end color-highlight">
                                                {{ getCurrency('currency_symbol', $trans->amount) }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            
                                            
                                           
                                            <strong class="col-5">Title</strong>
                                            <strong class="col-7 text-end color-highlight">
                                                {{ $trans->dep_from }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            
                                            
                                    
                                            <strong class="col-5">Description</strong>
                                            <strong class="col-7 text-end color-highlight">
                                                {{ $trans->description }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            
                                            
                                            <strong class="col-5">Reference</strong>
                                            <strong class="col-7 text-end">{{ $trans->trans_id }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Date</strong>
                                            <strong class="col-7 text-end">{{ $trans->created_at }}</strong>
                                        </div>
                                    </div>
                                    <a href="#" class="mx-3 mb-3 mt-3 btn btn-full shadow-bg shadow-bg-s"
                                        style="background:#f3f3f3;color:#333" onclick="downloadPDF(this)">Print Receipt</a>
                                    <a href="#" data-bs-dismiss="offcanvas"
                                        class="mx-3 btn btn-full gradient-highlight shadow-bg shadow-bg-s">Back</a>

                                </div>
                            </div>
                        @endforeach

                    @else
                        <div class="card card-style">
                            <div class="content text-center">
                                <h5 class="text-warning">You do not have any deposit transaction yet</h5>
                            </div>
                        </div>
                    @endif
                </div>

                <div class="collapse" id="tab-5" data-bs-parent="#tab-group-2">
                    <?php
                    $transactions = \App\Models\Transactions::where('user_id', authUser('id'))
                        ->where('trans_type', 'wire_transfer')
                        ->latest('created_at')
                        ->get();
                    ?>
                    @if (count($transactions) > 0)
                        @foreach ($transactions as $key => $trans)
                            @php
                                $wire = \App\Models\WireTransfer::where('reference', $trans->trans_id)->first();
                            @endphp
                            <a href="#" class="d-flex py-1" data-bs-toggle="offcanvas"
                                data-bs-target="#menu-wire_t-{{ $key }}">
                                <div class="align-self-center">
                                    <span class="icon  me-2 shadow-bg shadow-bg-s rounded-s">
                                        <i
                                            class="has-bg gradient-red color-white shadow-bg shadow-bg-xs rounded-xs bi bi-arrow-up"></i>
                                    </span>
                                </div>
                                <div class="align-self-center ps-1">
                                    <h5 class="pt-1 mb-n1">Wire Transaction</h5>

                                </div>
                                <div class="align-self-center ms-auto text-end">
                                    <h4 class="pt-1 mb-n1 color-green-dark">
                                        {{ getCurrency('currency_symbol', $trans->amount) }}</h4>
                                    @if ($trans->status == 'pending')
                                        <p class="mb-0 font-11 text-warning"> {{ $trans->status }}</p>
                                    @elseif ($trans->status == 'approve')
                                        <p class="mb-0 font-11 text-success"> {{ $trans->status }}</p>
                                    @else
                                        <p class="mb-0 font-11 text-danger"> {{ $trans->status }}</p>
                                    @endif
                                </div>
                            </a>
                            <div class="divider my-2 opacity-50"></div>
                            <div id="menu-wire_t-{{ $key }}"
                                class="offcanvas offcanvas-bottom offcanvas-detached rounded-m" style="display: block;">
                                <div class="menu-size mb-3">
                                    <div class="content">
                                        <div class="d-flex align-items-center">
                                            <h4 style="margin-right:auto" class="color-highlight">
                                                {{ get_settings('site_title') }}</h4>
                                            <img src="{{ url('assets/images/logo/logo.png') }}" alt=""
                                                style="width: 50px;
                                    object-fit: contain;
                                    margin-left:auto;
                                    height: 50px;">
                                        </div>
                                        <div href="#" class="d-flex py-1 pb-4" id="pointer-none">
                                            <div class="align-self-center">
                                                <span class="icon me-2 shadow-bg shadow-bg-s rounded-s">
                                                    <i
                                                        class="has-bg gradient-red color-white shadow-bg shadow-bg-xs rounded-xs bi bi-arrow-up"></i>
                                                </span>
                                            </div>
                                            <div class="align-self-center ps-1" style="color: #333 !important ">
                                                <h5 class="pt-1 mb-n1" style="color: #333 !important">Wire Transaction
                                                </h5>
                                                <p class="mb-0 font-11 opacity-70">{{ $trans->created_at }}
                                                </p>
                                            </div>
                                            <div class="align-self-center ms-auto text-end">
                                                @if ($trans->status == 'pending')
                                                    <p class="pt-1 font-14 mb-n1 text-warning">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @elseif ($trans->status == 'approve')
                                                    <p class="pt-1 font-14 mb-n1 text-success">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @else
                                                    <p class="pt-1 font-14 mb-n1 text-danger">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @endif

                                            </div>
                                        </div>
                                        <div class="row">
                                            <strong class="col-5">Type</strong>
                                            <strong
                                                class="col-7 text-end">{{ strtoupper(getTransType($trans->trans_type)) }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Bank Name</strong>
                                            <strong class="col-7 text-end">{{ @$wire->bank_name }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Name</strong>
                                            <strong class="col-7 text-end">{{ @$wire->acct_name }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Number</strong>
                                            <strong class="col-7 text-end">{{ @$wire->acct_number }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Amount</strong>
                                            <strong class="col-7 text-end color-highlight">
                                                {{ getCurrency('currency_symbol', $trans->amount) }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Swift Code</strong>
                                            <strong class="col-7 text-end">{{ @$wire->acct_swift }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Type</strong>
                                            <strong class="col-7 text-end">{{ @$wire->acct_type }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Routing Number</strong>
                                            <strong class="col-7 text-end">{{ @$wire->acct_routing }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Reference</strong>
                                            <strong class="col-7 text-end">{{ $trans->trans_id }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Date</strong>
                                            <strong class="col-7 text-end">{{ $trans->created_at }}</strong>
                                        </div>
                                    </div>
                                    <a href="#" class="mx-3 mb-3 mt-3 btn btn-full shadow-bg shadow-bg-s"
                                        style="background:#f3f3f3;color:#333" onclick="downloadPDF(this)">Print
                                        Receipt</a>
                                    <a href="#" data-bs-dismiss="offcanvas"
                                        class="mx-3 btn btn-full gradient-highlight shadow-bg shadow-bg-s">Back</a>
                                </div>

                            </div>
                        @endforeach
                    @else
                        <div class="card card-style">
                            <div class="content text-center">
                                <h5 class="text-warning">You do not have any wire transaction yet</h5>
                            </div>
                        </div>
                    @endif
                </div>

                <div class="collapse" id="tab-6" data-bs-parent="#tab-group-2">
                    <?php
                    $transactions = \App\Models\Transactions::where('user_id', authUser('id'))
                        ->where('trans_type', 'dom_transfer')
                        ->latest('created_at')
                        ->get();
                    ?>
                    @if (count($transactions) > 0)
                        @foreach ($transactions as $key => $trans)
                            <?php
                            $domestic = \App\Models\DomesticTransfer::where('reference', $trans->trans_id)->first();
                            ?>
                            <a href="#" class="d-flex py-1" data-bs-toggle="offcanvas"
                                data-bs-target="#menu-domestic_t-{{ $key }}">
                                <div class="align-self-center">
                                    <span class="icon  me-2 shadow-bg shadow-bg-s rounded-s">
                                        <i
                                            class="has-bg gradient-brown color-white shadow-bg shadow-bg-xs rounded-xs bi bi-filter-circle"></i>
                                    </span>
                                </div>
                                <div class="align-self-center ps-1">
                                    <h5 class="pt-1 mb-n1">Domestic Transaction</h5>

                                </div>
                                <div class="align-self-center ms-auto text-end">
                                    <h4 class="pt-1 mb-n1 color-green-dark">
                                        {{ getCurrency('currency_symbol', $trans->amount) }}</h4>
                                    @if ($trans->status == 'pending')
                                        <p class="mb-0 font-11 text-warning"> {{ $trans->status }}</p>
                                    @elseif ($trans->status == 'approve')
                                        <p class="mb-0 font-11 text-success"> {{ $trans->status }}</p>
                                    @else
                                        <p class="mb-0 font-11 text-danger"> {{ $trans->status }}</p>
                                    @endif
                                </div>
                            </a>
                            <div class="divider my-2 opacity-50"></div>
                            <div id="menu-domestic_t-{{ $key }}"
                                class="offcanvas offcanvas-bottom offcanvas-detached rounded-m" style="display: block;">
                                <div class="menu-size mb-3">
                                    <div class="content">
                                        <div class="d-flex align-items-center">
                                            <h4 style="margin-right:auto" class="color-highlight">
                                                {{ get_settings('site_title') }}</h4>
                                            <img src="{{ url('assets/images/logo/logo.png') }}" alt=""
                                                style="width: 50px;
                                    object-fit: contain;
                                    margin-left:auto;
                                    height: 50px;">
                                        </div>
                                        <div href="#" class="d-flex py-1 pb-4" id="pointer-none">
                                            <div class="align-self-center">
                                                <span class="icon me-2 shadow-bg shadow-bg-s rounded-s">
                                                    <i
                                                        class="has-bg gradient-brown color-white shadow-bg shadow-bg-xs rounded-xs bi bi-filter-circle"></i>
                                                </span>
                                            </div>
                                            <div class="align-self-center ps-1" style="color: #333 !important ">
                                                <h5 class="pt-1 mb-n1" style="color: #333 !important">Domestic Transaction
                                                </h5>
                                                <p class="mb-0 font-11 opacity-70">{{ $trans->created_at }}
                                                </p>
                                            </div>
                                            <div class="align-self-center ms-auto text-end">
                                                @if ($trans->status == 'pending')
                                                    <p class="pt-1 font-14 mb-n1 text-warning">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @elseif ($trans->status == 'approve')
                                                    <p class="pt-1 font-14 mb-n1 text-success">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @else
                                                    <p class="pt-1 font-14 mb-n1 text-danger">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @endif

                                            </div>
                                        </div>
                                        <div class="row">
                                            <strong class="col-5">Type</strong>
                                            <strong class="col-7 text-end">{{ strtoupper('Domestic Transfer') }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Bank Name</strong>
                                            <strong class="col-7 text-end">{{ @$domestic->bank_name }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Name</strong>
                                            <strong class="col-7 text-end">{{ @$domestic->acct_name }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Number</strong>
                                            <strong class="col-7 text-end">{{ @$domestic->acct_number }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Amount</strong>
                                            <strong class="col-7 text-end color-highlight">
                                                {{ getCurrency('currency_symbol', @$domestic->amount) }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Account Type</strong>
                                            <strong class="col-7 text-end">{{ @$domestic->acct_type }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Reference</strong>
                                            <strong class="col-7 text-end">{{ @$trans->trans_id }}</strong>
                                            <div class="col-12 mt-2 mb-2">
                                                <div class="divider my-0"></div>
                                            </div>
                                            <strong class="col-5">Date</strong>
                                            <strong class="col-7 text-end">{{ @$domestic->created_at }}</strong>
                                        </div>
                                    </div>
                                    <a href="#" class="mx-3 mb-3 mt-3 btn btn-full shadow-bg shadow-bg-s"
                                        style="background:#f3f3f3;color:#333" onclick="downloadPDF(this)">Print
                                        Receipt</a>
                                    <a href="#" data-bs-dismiss="offcanvas"
                                        class="mx-3 btn btn-full gradient-highlight shadow-bg shadow-bg-s">Back</a>
                                </div>

                            </div>
                        @endforeach
                    @else
                        <div class="card card-style">
                            <div class="content text-center">
                                <h5 class="text-warning">You do not have any domestic transaction yet</h5>
                            </div>
                        </div>
                    @endif
                </div>

                <div class="collapse" id="tab-7" data-bs-parent="#tab-group-2">
                    <?php
                    $transactions = \App\Models\Transactions::where('user_id', authUser('id'))
                        ->latest('created_at')
                        ->get();
                    ?>
                    @if (count($transactions) > 0)
                        @foreach ($transactions as $key => $trans)
                            <?php
                            $wire = \App\Models\WireTransfer::where('reference', $trans->trans_id)->first();
                            $domestic = \App\Models\DomesticTransfer::where('reference', $trans->trans_id)->first();
                            ?>
                            <a href="#" class="d-flex py-1" data-bs-toggle="offcanvas"
                                data-bs-target="#menu-all-{{ $key }}">

                                <div class="align-self-center">
                                    <span class="icon  me-2 shadow-bg shadow-bg-s rounded-s">
                                        @if ($trans->trans_type == 'deposit')
                                            <i class="font-28 color-blue-dark bi bi-arrow-down-circle"></i>
                                        @elseif($trans->trans_type == 'dom_transfer')
                                            <i
                                                class="has-bg gradient-brown color-white shadow-bg shadow-bg-xs rounded-xs bi bi-filter-circle"></i>
                                        @else
                                            <i
                                                class="has-bg gradient-red color-white shadow-bg shadow-bg-xs rounded-xs bi bi-arrow-up"></i>
                                        @endif
                                    </span>
                                </div>
                                <div class="align-self-center ps-1">
                                    <h5 class="pt-1 mb-n1">
                                        @if ($trans->trans_type == 'deposit')
                                            {{ ucwords('Deposit') }}
                                        @elseif($trans->trans_type == 'dom_transfer')
                                            {{ ucwords('Domestic Transfer') }}
                                        @elseif($trans->trans_type == 'wire_transfer')
                                
                                    {{ucwords('Wire Transfer')}}
                                        @else
                                            {{ ucwords('Debit') }}
                                        @endif
                                    </h5>

                                </div>
                                <div class="align-self-center ms-auto text-end">
                                    <h4 class="pt-1 mb-n1 color-green-dark">
                                        {{ getCurrency('currency_symbol', $trans->amount) }}</h4>
                                    @if ($trans->status == 'pending')
                                        <p class="mb-0 font-11 text-warning"> {{ $trans->status }}</p>
                                    @elseif ($trans->status == 'approve')
                                        <p class="mb-0 font-11 text-success"> {{ $trans->status }}</p>
                                    @else
                                        <p class="mb-0 font-11 text-danger"> {{ $trans->status }}</p>
                                    @endif
                                </div>
                            </a>
                            <div class="divider my-2 opacity-50"></div>
                            <div id="menu-all-{{ $key }}"
                                class="offcanvas offcanvas-bottom offcanvas-detached rounded-m" style="display: block;">
                                <div class="menu-size mb-3">
                                    <div class="content">
                                        <div class="d-flex align-items-center">
                                            <h4 style="margin-right:auto" class="color-highlight">
                                                {{ get_settings('site_title') }}</h4>
                                            <img src="{{ url('assets/images/logo/logo.png') }}" alt=""
                                                style="width: 50px;
                                    object-fit: contain;
                                    margin-left:auto;
                                    height: 50px;">
                                        </div>
                                        <div href="#" class="d-flex py-1 pb-4" id="pointer-none">
                                            <div class="align-self-center">
                                                <span class="icon me-2 shadow-bg shadow-bg-s rounded-s">
                                                    <i
                                                        class="has-bg gradient-green color-white shadow-bg shadow-bg-xs rounded-xs bi bi-arrow-repeat"></i>
                                                </span>
                                            </div>
                                            <div class="align-self-center ps-1" style="color: #333 !important ">
                                                <h5 class="pt-1 mb-n1" style="color: #333 !important">
                                                    @if ($trans->trans_type == 'deposit')
                                                        {{ ucwords('Deposit') }}
                                                    @elseif($trans->trans_type == 'dom_transfer')
                                                        {{ ucwords('Domestic Transfer') }}
                                                     @elseif($trans->trans_type == 'wire_transfer')
                                     
                                     {{ ucwords('Wire Transfer') }}
                                            @else
                                                {{ ucwords('Debit') }}
                                            @endif
                                                </h5>
                                                <p class="mb-0 font-11 opacity-70">{{ $trans->created_at }}
                                                </p>
                                            </div>
                                            <div class="align-self-center ms-auto text-end">
                                                @if ($trans->status == 'pending')
                                                    <p class="pt-1 font-14 mb-n1 text-warning">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @elseif ($trans->status == 'approve')
                                                    <p class="pt-1 font-14 mb-n1 text-success">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @else
                                                    <p class="pt-1 font-14 mb-n1 text-danger">
                                                        {{ strtoupper($trans->status) }}</p>
                                                @endif

                                            </div>
                                        </div>
                                        @if ($trans->trans_type == 'wire_transfer')
                                            <div class="row">
                                                <strong class="col-5">Type</strong>
                                                <strong
                                                    class="col-7 text-end">{{ strtoupper(getTransType($trans->trans_type)) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Bank Name</strong>
                                                <strong class="col-7 text-end">{{ @$wire->bank_name }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Name</strong>
                                                <strong class="col-7 text-end">{{ @$wire->acct_name }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Number</strong>
                                                <strong class="col-7 text-end">{{ @$wire->acct_number }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Amount</strong>
                                                <strong class="col-7 text-end color-highlight">
                                                    {{ getCurrency('currency_symbol', $trans->amount) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Swift Code</strong>
                                                <strong class="col-7 text-end">{{ @$wire->acct_swift }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Type</strong>
                                                <strong class="col-7 text-end">{{ @$wire->acct_type }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Routing Number</strong>
                                                <strong class="col-7 text-end">{{ @$wire->acct_routing }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Reference</strong>
                                                <strong class="col-7 text-end">{{ $trans->trans_id }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Date</strong>
                                                <strong class="col-7 text-end">{{ $trans->created_at }}</strong>
                                            </div>
                                        @elseif($trans->trans_type == 'dom_transfer')
                                            <div class="row">
                                                <strong class="col-5">Type</strong>
                                                <strong
                                                    class="col-7 text-end">{{ strtoupper(getTransType($trans->trans_type)) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Bank Name</strong>
                                                <strong class="col-7 text-end">{{ @$domestic->bank_name }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Name</strong>
                                                <strong class="col-7 text-end">{{ @$domestic->acct_name }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Number</strong>
                                                <strong class="col-7 text-end">{{ @$domestic->acct_number }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Amount</strong>
                                                <strong class="col-7 text-end color-highlight">
                                                    {{ getCurrency('currency_symbol', $domestic->amount) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Account Type</strong>
                                                <strong class="col-7 text-end">{{ @$domestic->acct_type }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Reference</strong>
                                                <strong class="col-7 text-end">{{ $trans->trans_id }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Date</strong>
                                                <strong class="col-7 text-end">{{ $domestic->created_at }}</strong>
                                            </div>
                                        @else
                                            <div class="row">
                                                <strong class="col-5">Type</strong>
                                                <strong
                                                    class="col-7 text-end">{{ strtoupper($trans->trans_type) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Amount</strong>
                                                <strong class="col-7 text-end color-highlight">
                                                    {{ getCurrency('currency_symbol', $trans->amount) }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Reference</strong>
                                                <strong class="col-7 text-end">{{ $trans->trans_id }}</strong>
                                                <div class="col-12 mt-2 mb-2">
                                                    <div class="divider my-0"></div>
                                                </div>
                                                <strong class="col-5">Date</strong>
                                                <strong class="col-7 text-end">{{ $trans->created_at }}</strong>
                                            </div>
                                        @endif

                                    </div>
                                    <a href="#" class="mx-3 mb-3 mt-3 btn btn-full shadow-bg shadow-bg-s"
                                        style="background:#f3f3f3;color:#333" onclick="downloadPDF(this)">Print
                                        Receipt</a>
                                    <a href="#" data-bs-dismiss="offcanvas"
                                        class="mx-3 btn btn-full gradient-highlight shadow-bg shadow-bg-s">Back</a>
                                </div>

                            </div>
                        @endforeach
                    @else
                        <div class="card card-style">
                            <div class="content text-center">
                                <h5 class="text-warning">You do not have any transaction yet</h5>
                            </div>
                        </div>
                    @endif
                </div>

            </div>
        </div>
    </div>

    @include('mobile.incs.page')
@endpush
