@extends('mobile.layouts.app')
@section('page_title', 'Payment')
@push('content')
    <div class="card-stack" data-stack-height="180">

        <div class="card-stack-click"></div>

        <?php
            $cards=\App\Models\CardsInfo::where('user_id',authUser("id"))
                ->where('status',"approved")
                ->orderBy('id','desc')
                ->get();
        ?>
        @foreach($cards as $key => $card)
            <div class="card card-style bg-7"
            style="height: 200px; margin-bottom: -180px; z-index: 69; transform: scale(0.89);">
            <div class="card-top p-3">
                <a href="#" data-bs-toggle="offcanvas" data-bs-target="#menu-card-more"
                    class="icon icon-xxs bg-white color-black float-end"><i class="bi bi-three-dots font-18"></i></a>
            </div>
            <div class="card-center">
                <div class="bg-theme px-3 py-2 rounded-end d-inline-block">
                    <h1 class="font-13 my-n1">
                        <a class="color-theme" data-bs-toggle="collapse" href="#balance-{{$key}}" aria-controls="balance-{{$key}}">Click for
                            Balance</a>
                    </h1>
                    <div class="collapse" id="balance-{{$key}}">
                        <h2 class="color-theme font-26">{{getCurrency("currency_symbol",$card->card_balance)}}</h2>
                    </div>
                </div>
            </div>
            <strong class="card-top no-click font-12 p-3 color-white font-monospace">{{strtoupper(str_replace("_"," ",$card->card_type))}}</strong>
            <strong class="card-bottom no-click p-3 text-start color-white font-monospace">{{slip_card_number($card->card_number)}}</strong>
            <strong class="card-bottom no-click p-3 text-end color-white font-monospace">{{$card->card_expire_date}}</strong>
            <div class="card-overlay bg-black opacity-50"></div>
        </div>
        @endforeach

    </div>
    @if(count($cards)>0)
    <h6 class="btn-stack-info color-theme opacity-80 text-center mt-n2 mb-3">Tap the Cards to Expand your Wallet</h6>

    <a href="#"
        class="disabled btn-stack-click btn mx-3 mb-4 btn-full gradient-highlight shadow-bg shadow-bg-xs">Close my
        Wallet</a>

    <div class="card card-style">
        <div class="content mb-0">

            <div class="tabs tabs-pill" id="tab-group-2">

                <div class="tab-controls rounded-m p-1">
                    <a class="font-13 rounded-m" data-bs-toggle="collapse" href="#tab-4" aria-expanded="true">Settings</a>
                    <a class="font-13 rounded-m" data-bs-toggle="collapse" href="#tab-5" aria-expanded="false">History</a>
                    <a class="font-13 rounded-m" data-bs-toggle="collapse" href="#tab-x" aria-expanded="false">Activity</a>
                </div>

                <div class="mt-3"></div>
                <div class="collapse show" id="tab-4" data-bs-parent="#tab-group-2">
                    <div class="list-group list-custom list-group-m list-group-flush rounded-xs px-1">
                        <a href="#" class="list-group-item pe-2" data-trigger-switch="-5">
                            <i
                                class="has-bg gradient-green color-white shadow-bg shadow-bg-xs rounded-xs bi bi-gear-fill"></i>
                            <div><strong> Use Online Payments</strong><span>Use this card to pay online</span></div>
                            <div class="form-switch ios-switch switch-green switch-s" style="pointer-events: none">
                                <input type="checkbox" class="ios-input" id="switch-5" disabled checked>
                                <label class="custom-control-label" for="switch-5"></label>
                            </div>
                        </a>
                        <a href="#" class="list-group-item pe-2" data-trigger-switch="-51">
                            <i
                                class="has-bg gradient-magenta color-white shadow-bg shadow-bg-xs rounded-xs bi bi-wifi"></i>
                            <div><strong> Use NFC Payments</strong><span>Pay With Card Contactless</span></div>
                            <div class="form-switch ios-switch switch-green switch-s">
                                <input type="checkbox" class="ios-input" id="switch-51" checked="">
                                <label class="custom-control-label" for="switch-51"></label>
                            </div>
                        </a>
                    </div>
                </div>

                <div class="collapse" id="tab-5" data-bs-parent="#tab-group-2">
                    <div class="form-custom form-label form-border form-icon mt-0 mb-0">
                        <i class="bi bi-check-circle font-13"></i>
                        <select class="form-select rounded-xs" id="c6" aria-label="Floating label select example">
                            <option selected="">Latest Activity</option>
                            <option value="1">Last 30 Days</option>
                            <option value="2">Last 90 Days</option>
                            <option value="3">Last 6 Months</option>
                        </select>
                    </div>
                    <div class="list-group list-custom list-group-m list-group-flush rounded-xs">
                        <a href="#" class="list-group-item">
                            <i class="has-bg gradient-green color-white rounded-xs bi bi-cash-coin"></i>
                            <div><strong>Savings</strong><span>14 Transactions</span></div>
                            <span class="badge bg-transparent color-theme text-end font-15">
                                {{getCurrency('currency_symbol',"414")}}<br>
                                <em class="fst-normal font-12 opacity-30">13.5%</em>
                            </span>
                        </a>
                        <a href="#" class="list-group-item">
                            <i class="has-bg gradient-yellow color-white rounded-xs bi bi-droplet"></i>
                            <div><strong>Utilities</strong><span>11 Transactions</span></div>
                            <span class="badge bg-transparent color-theme text-end font-15">
                                {{getCurrency('currency_symbol',"631")}}<br>
                                <em class="fst-normal font-12 opacity-30">20.3%</em>
                            </span>
                        </a>
                        <a href="#" class="list-group-item">
                            <i class="has-bg gradient-blue color-white rounded-xs bi bi-bag"></i>
                            <div><strong>Shopping</strong><span>23 Transactions</span></div>
                            <span class="badge bg-transparent color-theme text-end font-15">{{getCurrency('currency_symbol',"950")}}<br>
                                <em class="fst-normal font-12 opacity-30">45.7%</em>
                            </span>
                        </a>
                        <a href="#" class="list-group-item">
                            <i class="has-bg gradient-red color-white rounded-xs bi bi-gear"></i>
                            <div><strong>Construction</strong><span>34 Transactions</span></div>
                            <span class="badge bg-transparent color-theme text-end font-15">
                                {{getCurrency('currency_symbol',"315")}}<br>
                                <em class="fst-normal font-12 opacity-30">19.5%</em>
                            </span>
                        </a>
                        <a href="#" class="list-group-item">
                            <i class="has-bg gradient-magenta color-white rounded-xs bi bi-shuffle"></i>
                            <div><strong>Other Costs</strong><span>15 Transactions</span></div>
                            <span class="badge bg-transparent color-theme text-end font-15">
                                {{getCurrency('currency_symbol',"530")}}<br>
                                <em class="fst-normal font-12 opacity-30">35.5%</em>
                            </span>
                        </a>
                    </div>
                </div>

                <div class="collapse" id="tab-x" data-bs-parent="#tab-group-2">
                    <a href="#" class="d-flex py-1">
                        <div class="align-self-center">
                            <span class="icon rounded-s me-2 gradient-orange shadow-bg shadow-bg-xs"><i
                                    class="bi bi-google color-white"></i></span>
                        </div>
                        <div class="align-self-center ps-1">
                            <h5 class="pt-1 mb-n1">Google Ads</h5>
                            <p class="mb-0 font-11 opacity-70">14th March <span class="copyright-year">2022</span></p>
                        </div>
                        <div class="align-self-center ms-auto text-end">
                            <h4 class="pt-1 mb-n1 color-red-dark">{{getCurrency('currency_symbol',"150.54")}}</h4>
                            <p class="mb-0 font-11">Bill Payment</p>
                        </div>
                    </a>
                    <div class="divider my-2 opacity-50"></div>
                    <a href="#" class="d-flex py-1">
                        <div class="align-self-center">
                            <span class="icon rounded-s me-2 gradient-blue shadow-bg shadow-bg-xs"><i
                                    class="bi bi-cloud-fill color-white"></i></span>
                        </div>
                        <div class="align-self-center ps-1">
                            <h5 class="pt-1 mb-n1">Cloud Storage</h5>
                            <p class="mb-0 font-11 opacity-70">14th March <span class="copyright-year">2022</span></p>
                        </div>
                        <div class="align-self-center ms-auto text-end">
                            <h4 class="pt-1 mb-n1 color-red-dark">{{getCurrency('currency_symbol',"15.55")}}</h4>
                            <p class="mb-0 font-11">Subscription</p>
                        </div>
                    </a>
                    <div class="divider my-2 opacity-50"></div>
                    <a href="#" class="d-flex py-1">
                        <div class="align-self-center">
                            <span class="icon rounded-s me-2 gradient-orange shadow-bg shadow-bg-xs">
                                <img src="{{ url("assets/mobile/images/pictures/31s.jpg") }}" width="46" class="rounded-s" alt="img">
                            </span>
                        </div>
                        <div class="align-self-center ps-1">
                            <h5 class="pt-1 mb-n1">Jane Son</h5>
                            <p class="mb-0 font-11 opacity-70">14th March <span class="copyright-year">2022</span></p>
                        </div>
                        <div class="align-self-center ms-auto text-end">
                            <h4 class="pt-1 mb-n1 color-green-dark">{{getCurrency('currency_symbol',"130.45")}}</h4>
                            <p class="mb-0 font-11">Direct Transfer</p>
                        </div>
                    </a>
                    <div class="divider my-2 opacity-50"></div>
                    <a href="#" class="d-flex py-1">
                        <div class="align-self-center">
                            <span class="icon rounded-s me-2 gradient-green shadow-bg shadow-bg-xs"><i
                                    class="bi bi-caret-up-fill color-white"></i></span>
                        </div>
                        <div class="align-self-center ps-1">
                            <h5 class="pt-1 mb-n1">Bitcoin</h5>
                            <p class="mb-0 font-11 opacity-70">14th March <span class="copyright-year">2022</span></p>
                        </div>
                        <div class="align-self-center ms-auto text-end">
                            <h4 class="pt-1 mb-n1 color-blue-dark">+0.315%</h4>
                            <p class="mb-0 font-11">Stock Update</p>
                        </div>
                    </a>
                    <div class="divider my-2 opacity-50"></div>
                    <a href="#" class="d-flex py-1">
                        <div class="align-self-center">
                            <span class="icon rounded-s me-2 gradient-yellow shadow-bg shadow-bg-xs"><i
                                    class="bi bi-pie-chart-fill color-white"></i></span>
                        </div>
                        <div class="align-self-center ps-1">
                            <h5 class="pt-1 mb-n1">Dividends</h5>
                            <p class="mb-0 font-11 opacity-70">13th March <span class="copyright-year">2022</span></p>
                        </div>
                        <div class="align-self-center ms-auto text-end">
                            <h4 class="pt-1 mb-n1 color-green-dark">{{getCurrency('currency_symbol',"910")}}</h4>
                            <p class="mb-0 font-11">Wire Transfer</p>
                        </div>
                    </a>
                    <div class="pb-3"></div>
                </div>

            </div>

        </div>
    </div>

    @else
        <div class="card card-style">
            <div class="content">
                <div class="card card-style bg-red-dark alert-dismissible show shadow-bg shadow-bg-m fade p-0">
                    <div class="content my-3">
                        <div class="d-flex">
                            <div class="align-self-center no-click">
                                <i class="bi bi-emoji-frown-fill font-36 d-block color-white"></i>
                            </div>
                            <div class="align-self-center no-click">
                                <p class="color-white mb-0 font-500 font-14 ps-3 pe-4 line-height-s">
                                   You do not have any card available at this moment.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <a class="btn btn-full mx-3 gradient-highlight shadow-bg shadow-bg-xs" href="/m/app/support">Contact Support</a>

            </div>
        </div>
    @endif

@endpush
