@extends('web.layouts.admin.app')

@push('content')

    @include('web.layouts.admin.menubar')
    <div class="row mb-3">
        <div class="col-12">
            <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addContestant">Generate Card</button>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card" id="contactList">
                <div class="card-header">
                    <div class="row align-items-center g-3">
                        <div class="col-md-3">
                            <h5 class="card-title mb-0">All Card</h5>
                        </div>
                        <!--end col-->
                        <div class="col-md-auto ms-auto">
                            <div class="d-flex gap-2">
                                <div class="search-box">
                                    <input type="text" class="form-control search" placeholder="Search for Package...">
                                    <i class="ri-search-line search-icon"></i>
                                </div>
                            </div>
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->
                </div>
                <!--end card-header-->
                <div class="card-body">
                    <div class="table-responsive table-card">
                        <table class="table align-middle table-nowrap" id="customerTable">
                            <thead class="table-light text-muted">
                            <tr>
                                <th class="sort" data-sort="name" scope="col" style="width: 60px;">No</th>
                                <th class="sort" data-sort="to_name" scope="col">Email</th>
                                <th class="sort" data-sort="status" scope="col">Card Number</th>
                                <th class="sort" data-sort="category" scope="col">EXPIRED DATE</th>
                                <th class="sort" data-sort="about" scope="col">CVV</th>
                                <th class="sort" data-sort="image" scope="col">TYPE</th>
                                <th class="sort" data-sort="image" scope="col">BALANCE</th>

                                <th class="sort" data-sort="status" scope="col">Status</th>
                                <th class="sort" data-sort="date" scope="col">Created At</th>
                                <th class="sort" data-sort="action" scope="col">Action</th>
                            </tr>
                            <!--end tr-->
                            </thead>

                            <tbody class="list form-check-all">

                            @foreach($cards as $value)
                                <tr>
                                    <td class="name">
                                        <a class="fw-medium link-primary">{{str_pad($value->id, 4, '0', STR_PAD_LEFT)}}</a>
                                    </td>

                                    <td class="to_name">{{adminGetUser($value->user_id,'email')}}</td>
                                    <td class="status">
                                        {{$value->card_number}}
                                    </td>

                                    <td class="to_name">{{$value->card_expire_date}}</td>
                                    <td class="to_name">{{$value->card_cvv}}</td>

                                    <td class="to_name">{{$value->card_type}}</td>
                                    <td class="to_name">{{$value->card_balance}}</td>


                                    <td class="to_name">{!! AdminStatus($value->status) !!}</td>
                                    <td class="date">{{$value->created_at}}</td>
                                    <td class="action">
                                        <div class="d-flex align-items-center">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <a href="#" class="btn btn-danger col-12" onclick="return confirm('Are you sure you want to delete ?')">Delete</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!--end table-->
                        <div class="noresult" style="display: none;">
                            <div class="text-center">
                                <lord-icon src="https://cdn.lordicon.com/msoeawqm.json" trigger="loop" colors="primary:#405189,secondary:#0ab39c" style="width:75px;height:75px"></lord-icon>
                                <h5 class="mt-2">Sorry! No Result Found</h5>
                                <p class="text-muted mb-0">We've searched more than 150+ Users We did not find any User for you search.</p>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mt-3">
                        <div class="pagination-wrap hstack gap-2" style="display: flex;">
                            <a class="page-item pagination-prev disabled" href="#">
                                Previous
                            </a>
                            <ul class="pagination listjs-pagination mb-0"><li class="active"><a class="page" href="#" data-i="1" data-page="8">1</a></li><li><a class="page" href="#" data-i="2" data-page="8">2</a></li></ul>
                            <a class="page-item pagination-next" href="#">
                                Next
                            </a>
                        </div>
                    </div>
                </div>
                <!--end card-body-->
            </div>
        </div>

    </div>

    <div class="modal fade" id="addContestant" tabindex="-1" aria-labelledby="exampleModalgridLabel">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalgridLabel">Add Credit Card</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{route('admin.user_card_create')}}" method="POST">
                        @csrf
                        <div class="row g-3">
                            <div class="col-lg-12">
                                <div>
                                    <label for="" class="form-label">User</label>
                                    <select class="form-control" data-choices="default" name="user_id" id="choices-single-default" required>
                                        <option value="" selected><--- Select User --></option>
                                        @foreach(\App\Models\User::all() as $value)
                                            <option value="{{$value->id}}">{{ucwords($value->firstname." ".$value->lastname)}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <!--end col-->

                            <div class="cl-lg-12">
                                <div>
                                    <label for="" class="form-label">Exipred Date (12/12)</label>
                                    <input type="text" class="form-control" name="card_expire_date" placeholder="MM/YY" id="cleave-date-format">
                                </div>
                            </div>

                            <div class="cl-lg-12">
                                <div>
                                    <label for="" class="form-label">Card CVV</label>
                                    <input type="number" maxlength="3" class="form-control" name="card_cvv" id="name" required>
                                </div>
                            </div>

                            <div class="col-lg-12">
                                <div>
                                    <label for="" class="form-label">Card Type</label>
                                    <select class="form-control" data-choices="default" name="card_type" id="choices-single-default" required>
                                        <option value="" selected>Select Card Type </option>
                                        <option value="mastercard">MASTERCARD</option>
                                        <option value="american_express">{{strtoupper("american express")}}</option>
                                        <option value="discover">{{strtoupper("discover")}}</option>
                                        <option value="diners">{{strtoupper("diners")}}</option>
                                        <option value="visa">{{strtoupper("visa")}}</option>
                                        <option value="maestro">{{strtoupper("maestro")}}</option>
                                        <option value="unionpay">{{strtoupper("unionpay")}}</option>
                                    </select>
                                </div>
                            </div>

                            <div class="cl-lg-12">
                                <div>
                                    <label for="" class="form-label">Card Balance</label>
                                    <input type="number" class="form-control" name="card_balance" id="name" required>
                                </div>
                            </div>


                            <div class="col-lg-12">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                            <!--end col-->
                        </div>
                        <!--end row-->
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="editMethod" tabindex="-1" aria-labelledby="exampleModalgridLabel">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalgridLabel">Edit Contestant</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="#" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row g-3">
                            <div class="col-xxl-6">
                                <div>
                                    <label for="firstName" class="form-label">Name</label>
                                    <input type="text" name="id" id="method_id" hidden>
                                    <input type="text" class="form-control " name="name" id="methodName" placeholder="Enter Name">
                                </div>
                            </div>
                            <!--end col-->
                            <div class="col-lg-12">
                                <label for="" class="form-label">Slug</label>
                                <input type="text" name="imageMethod" id="imageMethod" hidden>
                                <input type="text" class="form-control " id="slugMethod" readonly>
                            </div>

                            <div class="col-lg-12">
                                <label for="" class="form-label">About</label>
                                <input type="text" class="form-control" name="about" id="aboutValue" placeholder="" required>
                            </div>

                            <div class="col-lg-12">
                                <label for="" class="form-label">ID NO</label>
                                <input type="text" class="form-control" name="number" id="numberValue" placeholder="" readonly>
                            </div>

                            <div class="col-lg-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h4 class="card-title mb-0">Multiple File Upload</h4>
                                    </div><!-- end card header -->

                                    <div class="card-body">
                                        <div class="form-group">
                                            <input type="file" class="form-control" name="image" accept="image/png|jpg|jpeg">
                                        </div>
                                    </div>
                                    <!-- end card body -->
                                </div>
                                <!-- end card -->
                            </div>

                            <div class="col-lg-12">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </div>
                            <!--end col-->
                        </div>
                        <!--end row-->
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        $(".editMethod").click(function(e) {
            e.preventDefault();

            var id = $(this).data('id');
            var methodname = $(this).data('name');
            var slug = $(this).data('slug');
            var image = $(this).data('image');
            var number = $(this).data('number');
            var about = $(this).data('about');




            $("#editMethod").modal('show');

            document.getElementById("method_id").value=id;
            document.getElementById('methodName').value=methodname;
            document.getElementById('slugMethod').value=slug;
            document.getElementById('imageMethod').value=image;
            document.getElementById('numberValue').value=number;
            document.getElementById('aboutValue').value=about;



        });
    </script>

@endpush




