@extends('web.layouts.admin.app')

@push('content')
            <!-- start page title -->
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0">Dashboard</h4>

                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboards</a></li>
                                    <li class="breadcrumb-item active">Dashboard</li>
                                </ol>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- end page title -->

                <div class="row">
                    <div class="col">

                        <div class="h-100">
                            <div class="row">
                                <div class="col-xl-4 col-md-6">
                                    <!-- card -->
                                    <div class="card card-animate">
                                        <div class="card-body">
                                            <div class="d-flex align-items-center">
                                                <div class="flex-grow-1 overflow-hidden">
                                                    <p class="text-uppercase fw-medium text-muted text-truncate mb-0"> Total Balance</p>
                                                </div>
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between mt-4">
                                                <div>
                                                    <h4 class="fs-22 fw-semibold ff-secondary mb-4">$<span class="counter-value" data-target="{{($sum=== '0')? "0" :$sum}}">{{$sum}}</span></h4>
                                                    <a href="{{route('admin.users')}}" class="text-decoration-underline">View</a>
                                                </div>
                                                <div class="avatar-sm flex-shrink-0">
                                                        <span class="avatar-title bg-soft-success rounded fs-3">
                                                            <i class="bx bx-dollar-circle text-success"></i>
                                                        </span>
                                                </div>
                                            </div>
                                        </div><!-- end card body -->
                                    </div><!-- end card -->
                                </div><!-- end col -->


                                <div class="col-xl-4 col-md-6">
                                    <!-- card -->
                                    <div class="card card-animate">
                                        <div class="card-body">
                                            <div class="d-flex align-items-center">
                                                <div class="flex-grow-1 overflow-hidden">
                                                    <p class="text-uppercase fw-medium text-muted text-truncate mb-0">Customers</p>
                                                </div>

                                            </div>
                                            <div class="d-flex align-items-end justify-content-between mt-4">
                                                <div>
                                                    <h4 class="fs-22 fw-semibold ff-secondary mb-4"><span class="counter-value" data-target="{{($usersCount === '0')? "0" :$usersCount}}">{{$usersCount}}</span></h4>
                                                    <a href="{{route('admin.users')}}" class="text-decoration-underline">View</a>
                                                </div>
                                                <div class="avatar-sm flex-shrink-0">
                                                        <span class="avatar-title bg-soft-warning rounded fs-3">
                                                            <i class="bx bx-user-circle text-warning"></i>
                                                        </span>
                                                </div>
                                            </div>
                                        </div><!-- end card body -->
                                    </div><!-- end card -->
                                </div><!-- end col -->

                                <div class="col-xl-4 col-md-6">
                                    <!-- card -->
                                    <div class="card card-animate">
                                        <div class="card-body">
                                            <div class="d-flex align-items-center">
                                                <div class="flex-grow-1 overflow-hidden">
                                                    <p class="text-uppercase fw-medium text-muted text-truncate mb-0">Total Subscribers</p>
                                                </div>
                                                subscribers
                                            </div>
                                            <div class="d-flex align-items-end justify-content-between mt-4">
                                                <div>
                                                    <h4 class="fs-22 fw-semibold ff-secondary mb-4"><span class="counter-value" data-target="{{($subscribers === '0')? "0" :$subscribers}}">{{$subscribers}}</span></h4>
                                                    <a href="#" class="text-decoration-underline">View all Subscribers</a>
                                                </div>
                                                <div class="avatar-sm flex-shrink-0">
                                                        <span class="avatar-title bg-soft-info rounded fs-3">
                                                            <i class="bx bx-shopping-bag text-info"></i>
                                                        </span>
                                                </div>
                                            </div>
                                        </div><!-- end card body -->
                                    </div><!-- end card -->
                                </div><!-- end col -->


                            </div> <!-- end row-->

                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="card">
                                        <div class="card-header align-items-center d-flex">
                                            <h4 class="card-title mb-0 flex-grow-1">Recent Subscriber</h4>
                                        </div><!-- end card header -->

                                        <div class="card-body">
                                            <div class="table-responsive table-card">
                                                <table class="table table-borderless table-centered align-middle table-nowrap mb-0">
                                                    <thead class="text-muted table-light">
                                                    <tr>
                                                        <th class="sort" data-sort="name" scope="col" style="width: 60px;"></th>
                                                        <th class="sort" data-sort="to_name" scope="col">Name</th>
                                                        <th class="sort" data-sort="email_address" scope="col">Email</th>
                                                        <th class="sort" data-sort="phone_number" scope="col">Plan</th>
                                                        <th class="sort" data-sort="amount" scope="col">Amount</th>
                                                        <th class="sort" data-sort="status" scope="col">Status</th>
                                                        <th class="sort" data-sort="date" scope="col">Created At</th>
                                                        <th class="sort" data-sort="expiry" scope="col">Expiry Date</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @php($sn = 1)
                                                    @foreach($data as $value)
                                                        <tr>
                                                            <td class="name">
                                                                <a class="fw-medium link-primary">{{$sn++}}</a>
                                                            </td>
                                                            <td class="to_name">{{ucwords($value->full_name)}}</td>
                                                            <td class="email_address">{{$value->email}}</td>
                                                            <td class="phone_number">{{$value->sub_name}}</td>
                                                            <td class="phone_number">{{$value->amount}}</td>
                                                            <td class="status">
                                                                {!! AdminStatus($value->status) !!}
                                                            </td>


                                                            <td class="date">{{$value->created_at}}</td>
                                                            <td class="expire">
                                                                {{$value->duration}} Days
                                                            </td>


                                                        </tr>
                                                    @endforeach
                                                    </tbody>
                                                </table><!-- end table -->
                                            </div>
                                        </div>
                                    </div> <!-- .card-->
                                </div> <!-- .col-->
                            </div> <!-- end row-->

                        </div> <!-- end .h-100-->

                    </div> <!-- end col -->
                </div>

            </div>
            <!-- container-fluid -->
        </div>
        <!-- End Page-content -->

@endpush

