@extends('web.layouts.admin.app')

@push('content')

    @include('web.layouts.admin.menubar')


    <div class="row">
        <div class="col-lg-12">
            <div class="card" id="contactList">
                <div class="card-header">
                    <div class="row align-items-center g-3">
                        <div class="col-md-3">
                            <h5 class="card-title mb-0"> {{ $page_title }}</h5>
                        </div>
                        
                        <!--end col-->
                    </div>
                    <!--end row-->
                </div>
                <!--end card-header-->
                <div class="card-body">
                       
                    <div class="row">
                        <div class="col-sm-8 offset-2">
                            <form method="POST" action="{{ route('admin.loan.update',["id"=>$loan->id]) }}">
                                @csrf
                                <div class="form-group">
                                    <label for="">Full User</label>
                                    <input type="text" class="form-control" value="{{ adminGetUser($loan->user_id,"firstname") ." ".adminGetUser($loan->user_id,"lastname") }}" disabled>
                                </div>
                                <div class="form-group mt-2">
                                    <label for="">Amount</label>
                                    <input type="text" class="form-control" value="{{ adminGetCurrency(adminGetUser($loan->user_id, 'acct_currency'), 'currency_symbol') . $loan->amount }}" disabled>
                                </div>
                                <div class="form-group mt-2">
                                    <label for="">Duration</label>
                                    <input type="text" class="form-control" value="{{ $loan->duration }}" disabled>
                                </div>
                                <div class="form-group mt-2">
                                    <label for="">Duration</label>
                                    <textarea type="text" class="form-control" disabled>{{ $loan->reason }}</textarea>
                                </div>

                                <div class="form-group mt-2">
                                    <label for="">Status   : </label>
                                    {!! AdminStatus($loan->status) !!}
                                </div>
                                <div class="form-group mt-2">
                                    <label for="">Date</label>
                                    <input type="text" class="form-control" value="{{ $loan->created_at }}" disabled>
                                </div>

                                <div class="form-group mt-2">
                                    <label for="">Update  Status</label>
                                    <select type="text" class="form-control" name="status" required>
                                            <option value="pending" @selected($loan->status=="pending")>Pending</option>
                                            <option value="approve" @selected($loan->status=="approve")>Approved</option>
                                            <option value="disapprove" @selected($loan->status=="disapprove")>Disapproved</option>
                                    </select>
                                </div>

                                <div class="form-group mt-5">
                                    <button class="btn btn-primary w-100">Submit</button>
                                </div>

                             </form> 

                        </div>
                    </div>
                   
                </div>
                <!--end card-body-->
            </div>
        </div>
    </div>


@endpush
