@extends('web.layouts.admin.app')

@push('content')

    @include('web.layouts.admin.menubar')
    <div class="row mb-3">
        <div class="col-12">
            <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addPlans">Add Payment Method</button>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            <div class="card" id="contactList">
                <div class="card-header">
                    <div class="row align-items-center g-3">
                        <div class="col-md-3">
                            <h5 class="card-title mb-0">All Users</h5>
                        </div>
                        <!--end col-->
                        <div class="col-md-auto ms-auto">
                            <div class="d-flex gap-2">
                                <div class="search-box">
                                    <input type="text" class="form-control search" placeholder="Search for Users...">
                                    <i class="ri-search-line search-icon"></i>
                                </div>
                            </div>
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->
                </div>
                <!--end card-header-->
                <div class="card-body">
                    <div class="table-responsive table-card">
                        <table class="table align-middle table-nowrap" id="customerTable">
                            <thead class="table-light text-muted">
                            <tr>
                                <th class="sort" data-sort="name" scope="col" style="width: 60px;"></th>
                                <th class="sort" data-sort="to_name" scope="col">Name</th>
                                <th class="sort" data-sort="address" scope="col">Address</th>
                                <th class="sort" data-sort="status" scope="col">Status</th>
                                <th class="sort" data-sort="action" scope="col">Action</th>
                            </tr>
                            <!--end tr-->
                            </thead>

                            <tbody class="list form-check-all">
                            @php($sn = 1)
                            @foreach($payment_method as $value)
                                <tr>
                                    <td class="name">
                                        <a class="fw-medium link-primary">{{$sn++}}</a>
                                    </td>
                                    <td class="to_name">{{ucwords($value->name)}}</td>
                                    <td class="email_address">{{$value->wallet_address}}</td>

                                    <td class="status">
                                        {!! AdminStatus($value->status) !!}
                                    </td>

                                    <td class="action">
                                        <div class="d-flex align-items-center">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="row">
                                                        <div class="col-lg-6 mb-2">
                                                            <button class="btn btn-primary col-12 editMethod" data-id="{{$value->id}}" data-methodname="{{$value->name}}" data-address="{{$value->wallet_address}}" >Edit</button>
                                                        </div>

                                                        <div class="col-lg-6">
                                                            <a href="{{route('admin.delete.method',$value->id)}}" class="btn btn-danger col-12"  onclick="return confirm('are you sure you want to delete ?')">Delete</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>


                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!--end table-->
                        <div class="noresult" style="display: none;">
                            <div class="text-center">
                                <lord-icon src="https://cdn.lordicon.com/msoeawqm.json" trigger="loop" colors="primary:#405189,secondary:#0ab39c" style="width:75px;height:75px"></lord-icon>
                                <h5 class="mt-2">Sorry! No Result Found</h5>
                                <p class="text-muted mb-0">We've searched more than 150+ Users We did not find any User for you search.</p>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mt-3">
                        <div class="pagination-wrap hstack gap-2" style="display: flex;">
                            <a class="page-item pagination-prev disabled" href="#">
                                Previous
                            </a>
                            <ul class="pagination listjs-pagination mb-0"><li class="active"><a class="page" href="#" data-i="1" data-page="8">1</a></li><li><a class="page" href="#" data-i="2" data-page="8">2</a></li></ul>
                            <a class="page-item pagination-next" href="#">
                                Next
                            </a>
                        </div>
                    </div>
                </div>
                <!--end card-body-->
            </div>
        </div>

    </div>

    <div class="modal fade" id="addPlans" tabindex="-1" aria-labelledby="exampleModalgridLabel">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalgridLabel">Add Payment Method</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row g-3">
                            <div class="col-xxl-6">
                                <div>
                                    <label for="firstName" class="form-label">Name</label>
                                    <input type="text" class="form-control" name="paymentName" id="firstName" placeholder="Enter Name">
                                </div>
                            </div>
                            <!--end col-->
                            <div class="col-lg-12">
                                <label for="" class="form-label">Address</label>
                                <input type="text" class="form-control" name="address" id="" placeholder="Address">
                            </div>

                            <div class="col-lg-12">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                            <!--end col-->
                        </div>
                        <!--end row-->
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="editMethod" tabindex="-1" aria-labelledby="exampleModalgridLabel">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalgridLabel">Edit Payment / Withdraw Method</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{route('admin.edit.method')}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row g-3">
                            <div class="col-xxl-6">
                                <div>
                                    <label for="firstName" class="form-label">Name</label>
                                    <input type="text" name="id" id="method_id" hidden>
                                    <input type="text" class="form-control" name="paymentName" id="methodName" placeholder="Enter Name">
                                </div>
                            </div>
                            <!--end col-->
                            <div class="col-lg-12">
                                <label for="" class="form-label">Address</label>
                                <input type="text" name="imageMethod" id="imageMethod" hidden>
                                <input type="text" class="form-control" name="address" id="addressMethod" placeholder="Address">
                            </div>

                            <div class="col-lg-12">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                            <!--end col-->
                        </div>
                        <!--end row-->
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        $(".editMethod").click(function(e) {
            e.preventDefault();

            var id = $(this).data('id');
            var methodname = $(this).data('methodname');
            var address = $(this).data('address');

            $("#editMethod").modal('show');

            document.getElementById("method_id").value=id;
            document.getElementById('methodName').value=methodname;
            document.getElementById('addressMethod').value=address;




        });
    </script>

@endpush
