@extends('web.layouts.admin.app')

@push('content')
    @include('web.layouts.admin.menubar')

    <div class="row" >
        <div class="col-md-8 offset-md-2">
            <div class="card" id="contactList">
                <div class="card-body">
                    <div class="row align-items-center g-3">
                        <div class="col-sm-12">
                            <form action="{{route('admin.users.save_credit',["id"=>$credit->id])}}" method="POST">
                                @csrf
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="email">Email</label>
                                    </div>
                                    <div class="col-6">
                                        <input name="email" id="email" class="form-control" value="{{adminGetUser($credit->user_id,"email")}}" readonly>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="amount">Amount</label>
                                    </div>
                                    <div class="col-6">
                                        <input name="amount" id="amount" class="form-control" value="{{adminGetCurrency(adminGetUser($credit->user_id,'acct_currency'),'currency_symbol').$credit->amount}}" readonly>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="type">Type</label>
                                    </div>
                                    <div class="col-6">
                                        <input name="type" id="type" class="form-control" value="Credit" readonly>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="ref">Trans ID</label>
                                    </div>
                                    <div class="col-6">
                                        <input name="ref" id="ref" class="form-control" value="{{$credit->reference}}" readonly>
                                    </div>
                                </div>
                                <div class="row form-group mb-2">
                                    <div class="col-6">
                                        <label for="status">Status</label>
                                    </div>
                                    <div class="col-6">
                                        <select class="form-control" name="status">
                                            <option value="1" @selected($credit->status=="pending")>Pending</option>
                                            <option value="2" @selected($credit->status=="approve")>Approved</option>
                                            <option value="3" @selected($credit->status=="disapprove")>Disapproved</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group mb-2">
                                    <div class="col-6">
                                        <label for="date">Create At <span class="text-danger">DATA FORMAT (d-m-y)</span></label>
                                    </div>
                                    <div class="col-6">
                                        <?php
                                        $date = new DateTime($credit->created_at);
                                        $form_date=$date->format("d-m-Y");
                                        ?>
                                        <input name="date" type="text" class="form-control" value="{{$form_date}}">
                                    </div>
                                </div>
                                 @if($credit->status=="pending")
                                    <div class="mt-3 form-group text-center">
                                        <button class="btn btn-success ml-3" name="submit" >Save</button>
                                    </div>
                                @endif
                            </form>
                        </div>
                    </div>
                    <!--end row-->
                </div>
            </div>
        </div>
    </div>
@endpush
