@extends('web.layouts.admin.app')

@push('content')
@include('web.layouts.admin.menubar')

    <div class="row" >
        <div class="col-md-8 offset-md-2">
            <div class="card" id="contactList">
                <div class="card-body">
                    <div class="row align-items-center g-3">
                       <div class="col-sm-12">
                        <form action="{{route('admin.users.save_debit',["id"=>$debit->id])}}" method="POST">
                            @csrf
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="email">Email</label>
                                </div>
                                <div class="col-6">
                                    <input name="email" id="email" class="form-control" value="{{adminGetUser($debit->user_id,"email")}}" readonly>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="amount">Amount</label>
                                </div>
                                <div class="col-6">
                                    <input name="amount" id="amount" class="form-control" value="{{adminGetCurrency(adminGetUser($debit->user_id,'acct_currency'),'currency_symbol').$debit->amount}}" readonly>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="type">Type</label>
                                </div>
                                <div class="col-6">
                                    <input name="type" id="type" class="form-control" value="Debit" readonly>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="ref">Trans ID</label>
                                </div>
                                <div class="col-6">
                                    <input name="ref" id="ref" class="form-control" value="{{$debit->reference}}" readonly>
                                </div>
                            </div>
                            <div class="row form-group mb-2">
                                <div class="col-6">
                                    <label for="status">Status</label>
                                </div>
                                <div class="col-6">
                                    <select class="form-control" name="status">
                                        <option value="1" @selected($debit->status=="pending")>Pending</option>
                                        <option value="2" @selected($debit->status=="approve")>Approved</option>
                                        <option value="3" @selected($debit->status=="disapprove")>Disapproved</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-2">
                                <div class="col-6">
                                    <label for="date">Create At <span class="text-danger">DATA FORMAT (d-m-y)</span></label>
                                </div>
                                <div class="col-6">
                                    <?php
                                        $date = new DateTime($debit->created_at);
                                        $form_date=$date->format("d-m-Y");
                                    ?>
                                    <input name="date" type="text" class="form-control" value="{{$form_date}}">
                                </div>
                            </div>
                            <div class="mt-3 form-group text-center">
                                <button class="btn btn-success ml-3" name="submit" >Save</button>
                            </div>
                        </form>
                       </div>
                    </div>
                    <!--end row-->
                </div>
            </div>
        </div>
    </div>
@endpush
