@extends('web.layouts.admin.app')

@push('content')
    @include('web.layouts.admin.menubar')

    <div class="row" >
        <div class="col-md-8 offset-md-2">
            <div class="card" id="contactList">
                <div class="card-body">
                    <div class="row align-items-center g-3">
                        <div class="col-sm-12">
                            <form action="{{route('admin.users.wire_transfer_send')}}" method="POST">
                                @csrf
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="amount">Amount</label>
                                    </div>
                                    <div class="col-6">
                                        <input type="number" class="form-control" name="amount" id="amount" placeholder="" value="" required>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="acct_num">Account Number</label>
                                    </div>
                                    <div class="col-6">
                                        <select name="acct_number" id="acct_num" class="form-control" required>
                                            <option value="">--select acct number--</option>
                                            <?php
                                              $users=\App\Models\User::orderBy("id", "DESC")->get();
                                            ?>
                                            @foreach($users as $user)
                                                <option value="{{ $user->acct_number }}">{{ ucwords($user->acct_number ." ".$user->firstname." ".$user->lastname)}}</option>
                                                @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="bank_name">Bank Name</label>
                                    </div>
                                    <div class="col-6">
                                        <input type="text" class="form-control" name="bank_name" id="bank_name" placeholder="" value="" required>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="account_name">Beneficiary Account Name</label>
                                    </div>
                                    <div class="col-6">
                                        <input type="text" class="form-control" name="acct_name" id="account_name" placeholder="" value="" required>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="country">Country</label>
                                    </div>
                                    <div class="col-6">
                                        <select name="country" id="country" class="form-control" required>
                                            <option value="">--select country--</option>
                                            <?php
                                                $countries=\App\Models\Country::all();
                                            ?>
                                            @foreach($countries as $country)
                                                <option value="{{ $country->id }}">{{ $country->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="swift_code">Swift code</label>
                                    </div>
                                    <div class="col-6">
                                        <input type="text" class="form-control" name="swift_code" id="swift_code" placeholder="" value="" required>
                                    </div>
                                </div>

                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="acct_type">Account Type</label>
                                    </div>
                                    <div class="col-6">
                                        <select class="form-control payment-method" name="acct_type" required>
                                            <option selected disabled>Account Type</option>
                                            <option value="Savings">Savings Account</option>
                                            <option value="Current">Current Account</option>
                                            <option value="Checking">Checking Account</option>
                                            <option value="Fixed Deposit">Fixed Deposit</option>
                                            <option value="Non Resident">Non Resident Account</option>
                                            <option value="Online Banking">Online Banking</option>
                                            <option value="Domicilary Account">Domicilary Account</option>
                                            <option value="Joint Account">Joint Account</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="routing_num">Routing Number</label>
                                    </div>
                                    <div class="col-6">
                                        <input type="text" class="form-control" name="routing_num" id="routing_num" placeholder="" value="" required>
                                    </div>
                                </div>
                                <div class="row form-group mb-3">
                                    <div class="col-6">
                                        <label for="purpose">Naration/Purpose</label>
                                    </div>
                                    <div class="col-6">
                                        <textarea name="purpose" id="purpose" class="form-control" value="" required></textarea>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="mb-3">
                                            <label for="cleave-date" class="form-label">Date</label>
                                        </div>
                                    </div>

                                    <div class="col-6">
                                        <input type="text" class="form-control" placeholder="DD-MM-YYYY" id="cleave-date" name="date">
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-6">
                                        <div class="mb-3">
                                            <label for="cleave-time" class="form-label">Time</label>
                                        </div>
                                    </div>

                                    <div class="col-6">
                                        <input type="text" class="form-control" placeholder="hh:mm:ss" id="cleave-time" name="time">
                                    </div>
                                </div>


                                <div class="mt-3 form-group text-center">
                                    <button class="btn btn-success ml-3" name="submit" >Send</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <!--end row-->
                </div>
            </div>
        </div>
    </div>
@endpush
