@extends('web.layouts.admin.app')

@push('content')
    @include('web.layouts.admin.menubar')

    <div class="row">
        <div class="col-md-12">
            <div class="card" id="contactList">
                <form class="card-body" action="{{ route('admin.users.addSave') }}" enctype="multipart/form-data"
                    method="POST">
                    @csrf
                    <div class="row align-items-center g-3 p-4">
                        <div class="col-sm-6">
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="firstname">Firstname</label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="firstname" id="firstname"
                                        placeholder="" value="" required>
                                </div>
                            </div>

                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="username">Username</label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="username" id="username" placeholder=""
                                        value="" required>
                                </div>
                            </div>

                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="phone">Phone</label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="phone" id="phone" placeholder=""
                                        value="" required>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="acct_type">Account Type</label>
                                </div>
                                <div class="col-6">
                                    <select class="form-control" name="acct_type" id="acct_type" required>
                                        <option selected disabled>Account Type</option>
                                        <option value="Savings">Savings Account</option>
                                        <option value="Current">Current Account</option>
                                        <option value="Checking">Checking Account</option>
                                        <option value="Fixed Deposit">Fixed Deposit</option>
                                        <option value="Non Resident">Non Resident Account</option>
                                        <option value="Online Banking">Online Banking</option>
                                        <option value="Domiciliary Account">Domiciliary Account</option>
                                        <option value="Joint Account">Joint Account</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="acct_currency">Currency</label>
                                </div>
                                <div class="col-6">
                                    <select class="form-control" name="acct_currency" id="acct_currency" required>
                                        <option selected disabled>--Select Currency--</option>
                                        @foreach (\App\Models\Currency::all() as $currency)
                                            <option value="{{ $currency->id }}">
                                                {{ $currency->currency_code . "($currency->currency_symbol)" }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="occupation">Occupation</label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="occupation" id="occupation"
                                        placeholder="" value="" required>
                                </div>
                            </div>

                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="acct_country">Country </label>
                                </div>
                                <div class="col-6">
                                    <select class="form-control" name="acct_country" id="acct_country" required
                                        onchange="changeCountry(this)">
                                        <option selected disabled>--Select Country--</option>
                                        @foreach (\App\Models\Country::all() as $country)
                                            <option value="{{ $country->id }}">{{ $country->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="acct_ssn">SSN </label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="acct_ssn" id="acct_ssn" required />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="mb-3">
                                        <label for="cleave-date" class="form-label">Date</label>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <input type="text" class="form-control" placeholder="DD-MM-YYYY" id="cleave-date"
                                        name="date" required>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="mb-3">
                                        <label for="password" class="form-label">Password</label>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <input type="password" class="form-control" placeholder="" id="password"
                                        name="password">
                                </div>
                            </div>

                        </div>
                        <div class="col-sm-6">
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="lastname">Lastname</label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="lastname" id="lastname"
                                        placeholder="" value="" required>
                                </div>
                            </div>

                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="email">Email </label>
                                </div>
                                <div class="col-6">
                                    <input type="text" class="form-control" name="email" id="email"
                                        placeholder="" value="" required>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="address">Address </label>
                                </div>
                                <div class="col-6">
                                    <textarea type="text" class="form-control" name="address" id="address" placeholder="" value=""
                                        required></textarea>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="gender">Gender </label>
                                </div>
                                <div class="col-6">
                                    <select type="text" class="form-control" name="gender" id="gender" required>
                                        <option disabled selected>--Select Gender--</option>
                                        <option value="male">Male</option>
                                        <option value="female">Female</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="marital_status">Marital Status </label>
                                </div>
                                <div class="col-6">
                                    <select type="text" class="form-control" name="marital_status"
                                        id="marital_status" required>
                                        <option disabled selected>--Select Marital Status--</option>
                                        <option value="Married">Married</option>
                                        <option value="Single">Single</option>
                                        <option value="Widowed">Widowed</option>
                                        <option value="Divorced">Divorced</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="acct_dob">Date of birth </label>
                                </div>
                                <div class="col-6">
                                    <input type="date" class="form-control" name="acct_dob" id="acct_dob"
                                        required />
                                </div>
                            </div>

                            <div class="row form-group mb-3">
                                <div class="col-6">
                                    <label for="state">State</label>
                                </div>
                                <div class="col-6">
                                    <select type="text" class="form-control" name="state" id="state" required>
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-6">
                                    <div class="mb-3">
                                        <label for="image" class="form-label">Image</label>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <input type="file" accept="image/*" class="form-control" placeholder=""
                                        id="image" name="image" required>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="mb-3">
                                        <label for="cleave-time" class="form-label">Time</label>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <input type="text" class="form-control" placeholder="hh:mm:ss" id="cleave-time"
                                        name="time" required>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="mb-3">
                                        <label for="confirm_password" class="form-label">Confirm Password</label>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <input type="password" class="form-control" placeholder="" id="confirm_password"
                                        name="confirm_password" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <button class="btn btn-primary col-12">Submit</button>
                        </div>
                    </div>
                    <!--end row-->
                </form>
            </div>
        </div>
    </div>
    <script>
        function changeCountry(element) {
            $.ajax({
                url: "{{ route('get_country_states') }}",
                data: {
                    country: $(element).val()
                },
                success: function(res) {
                    $("#state").html(res)
                }
            })
        }
    </script>
@endpush
