@extends('layouts.admin.app')

@push('content')

    @include('layouts.admin.menubar')

    <div class="row">
        <div class="col-lg-12">
            <div class="card" id="contactList">
                <div class="card-header">
                    <div class="row align-items-center g-3">
                        <div class="col-md-3">
                            <h5 class="card-title mb-0">All Referrals</h5>
                        </div>
                        <!--end col-->
                        <div class="col-md-auto ms-auto">
                            <div class="d-flex gap-2">
                                <div class="search-box">
                                    <input type="text" class="form-control search" placeholder="Search for Users...">
                                    <i class="ri-search-line search-icon"></i>
                                </div>
                            </div>
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->
                </div>
                <!--end card-header-->
                <div class="card-body">
                    <div class="table-responsive table-card">
                        <table class="table align-middle table-nowrap" id="customerTable">
                            <thead class="table-light text-muted">
                            <tr>
                                <th class="sort" data-sort="name" scope="col" style="width: 60px;"></th>
                                <th class="sort" data-sort="to_name" scope="col">Name</th>
                                <th class="sort" data-sort="email_address" scope="col">Email</th>
                                <th class="sort" data-sort="date" scope="col">Created At</th>

                            </tr>
                            <!--end tr-->
                            </thead>

                            <tbody class="list form-check-all">
                            @php($sn = 1)
                            @foreach($data as $value)
                                <tr>
                                    <td class="name">
                                        <a class="fw-medium link-primary">{{$sn++}}</a>
                                    </td>
                                    <td class="to_name">{{ucwords($value->full_name)}}</td>
                                    <td class="email_address">{{$value->email}}</td>
                                    <td class="date">{{$value->created_at}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <!--end table-->
                        <div class="noresult" style="display: none;">
                            <div class="text-center">
                                <lord-icon src="https://cdn.lordicon.com/msoeawqm.json" trigger="loop" colors="primary:#405189,secondary:#0ab39c" style="width:75px;height:75px"></lord-icon>
                                <h5 class="mt-2">Sorry! No Result Found</h5>
                                <p class="text-muted mb-0">We've searched more than 150+ Users We did not find any User for you search.</p>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end mt-3">
                        <div class="pagination-wrap hstack gap-2" style="display: flex;">
                            <a class="page-item pagination-prev disabled" href="#">
                                Previous
                            </a>
                            <ul class="pagination listjs-pagination mb-0"><li class="active"><a class="page" href="#" data-i="1" data-page="8">1</a></li><li><a class="page" href="#" data-i="2" data-page="8">2</a></li></ul>
                            <a class="page-item pagination-next" href="#">
                                Next
                            </a>
                        </div>
                    </div>
                </div>
                <!--end card-body-->
            </div>
        </div>
    </div>


@endpush
