@extends('web.layouts.admin.app')

@push('content')
    <div class="profile-foreground position-relative mx-n4 mt-n4">
        <div class="profile-wid-bg">
            <img src="{{url('assets/profiles/'.$values->image)}}" alt="" class="profile-wid-img">
        </div>
    </div>
    <div class="pt-4 mb-4 mb-lg-3 pb-lg-4">
        <div class="row g-4">
            <div class="col-auto">
                <div class="avatar-lg">
                    <img src="{{url('assets/profiles/'.$values->image)}}" alt="user-img" class="img-thumbnail rounded-circle">
                </div>
            </div>
            <!--end col-->
            <div class="col">
                <div class="p-2">
                    <h3 class="text-white mb-1">{{$values->firstname.' '.$values->lastname}}</h3>
                    <p class="text-white-75">{{"Customer"}}</p>
                    <div class="hstack text-white-50 gap-1">
                        <div class="me-2"><i class="ri-map-pin-user-line me-1 text-white-75 fs-16 align-middle"></i>Acct Type:</div>
                        <div>
                            {{$values->acct_type}}
                        </div>
                    </div>

                    <div class="hstack text-white-50 gap-1 mt-3">
                        <div>
                            @php
                                if($values->is_verified == "1"){
                                    $status = "Active";
                                }else{
                                    $status = "Pending";
                                }
                            @endphp

                            <span class="btn btn-info">KYC Status : {{$status}}</span>
                        </div>

                    </div>
                </div>
            </div>
            <!--end col-->

            <!--end col-->

        </div>
        <!--end row-->
    </div>

    <div class="row">
        <div class="col-lg-12">
            <div>
                <div class="d-flex">
                    <!-- Nav tabs -->
                    <ul class="nav nav-pills animation-nav profile-nav gap-2 gap-lg-3 flex-grow-1" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link fs-14 active" data-bs-toggle="tab" href="#overview-tab" role="tab">
                                <i class="ri-airplay-fill d-inline-block d-md-none"></i> <span class="d-none d-md-inline-block">Overview</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link fs-14" data-bs-toggle="tab" href="#fund-tab" role="tab">
                                <i class="ri-list-unordered d-inline-block d-md-none"></i> <span class="d-none d-md-inline-block">Funds</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link fs-14" data-bs-toggle="tab" href="#mail" role="tab">
                                <i class="ri-price-tag-line d-inline-block d-md-none"></i> <span class="d-none d-md-inline-block">Send Mail</span>
                            </a>
                        </li>
                    </ul>

                    <div class="flex-shrink-0">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        @if($values->acct_status === 1)
                                        <button class="btn btn-success disabled" name="approve">Active</button>
                                        @else
                                            <button class="btn btn-danger" name="hold">Hold</button>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Tab panes -->
                <div class="tab-content pt-4 text-muted">
                    <div class="tab-pane active" id="overview-tab" role="tabpanel">
                        <div class="row">
                            <div class="col-xxl-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="card crm-widget">
                                                    <div class="card-body p-0">
                                                        <div class="row row-cols-md-3 row-cols-1">
                                                            <div class="col col-lg border-end">
                                                                <div class="py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Account Balance <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>                         </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->balance) === '0')? "0" :$values->balance}}">{{$values->balance}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Total Loan <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i></h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->loan_amount) === '0')? "0" :$values->loan_amount}}">{{$values->loan_amount}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Referral Bonus <i class="ri-arrow-down-circle-line text-danger fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-pulse-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->referral_bonus === '0')? "0" :$values->referral_bonus}}">{{$values->referral_bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-lg-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Bonus <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-trophy-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->bonus === '0')? "0" :$values->bonus}}">{{$values->bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                        </div><!-- end row -->
                                                    </div><!-- end card body -->
                                                </div><!-- end card -->
                                            </div><!-- end col -->
                                        </div>
                                    </div>
                                </div>

                                <div class="card">
                                    <div class="card-body">
                                        <h5 class="card-title mb-3">Info</h5>
                                        <div class="table-responsive">
                                            <form action="{{route('admin.users.update')}}" method="post">
                                                @csrf
                                                <table class="table table-borderless mb-0">
                                                    <tbody>
                                                        <tr>
                                                            <th class="ps-0" scope="row">First Name :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="firstname" value="{{ucwords($values->firstname)}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Last Name :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="lastname" value="{{ucwords($values->lastname)}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct Number :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" value="{{$values->acct_number}}" readonly>
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Username :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="username" value="{{$values->username}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Email:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="email" class="form-control" name="email" value="{{$values->email}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Phone Number :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="number" class="form-control" name="phone" value="{{$values->phone}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct Address:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_address" value="{{$values->acct_address}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Gender :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <select name="gender" id=""
                                                                            class="form-control">
                                                                        <option value="Male">Male</option>
                                                                        <option value="Female">Female</option>
                                                                    </select>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        
                                                          <tr>
                                                            <th class="ps-0" scope="row">Occupation:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_pin" value="{{$values->acct_occupation}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">DOB:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_pin" value="{{$values->acct_dob}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">SSN:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_pin" value="{{$values->acct_ssn}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">ZIPCODE:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_pin" value="{{$values->zip_code}}">
                                                                </div>
                                                            </td>
                                                        </tr>


                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct Pin:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_pin" value="{{$values->acct_pin}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct Otp :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="otp" value="{{$values->acct_otp}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct COT :</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_cot" value="{{$values->acct_cot}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct IMF:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_imf" value="{{$values->acct_imf}}">
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <th class="ps-0" scope="row">Acct TAX:</th>
                                                            <td class="">
                                                                <div class="form-group">
                                                                    <input type="text" class="form-control" name="acct_tax" value="{{$values->acct_tax}}">
                                                                </div>
                                                            </td>
                                                        </tr>

                                                    </tbody>
                                                </table>

                                                <div class="row">
                                                    <div class="col-md-8 offset-md-2 text-center">
                                                        <input type="number" value="{{$values->id}}" name="id" hidden>
                                                        <button class="btn btn-primary " type="submit" >Save</button>
                                                    </div>
                                                </div>
                                            </form>

                                        </div>


                                    </div><!-- end card body -->
                                </div><!-- end card -->

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-title p-3">ACTIVE / HOLD ACCOUNT STATUS </div>
                                                    <div class="card-body">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <button class="btn btn-danger disabled">CURRENT STATUS : {{getUserStatus($values->acct_status)}} </button>
                                                            </div>
                                                        </div>

                                                        <form action="{{route('admin.users.update_status')}}" method="post">
                                                            @csrf
                                                            <div class="row mb-3 mt-2">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for=""> SELECT TYPE IF HOLD OR ACTIVE </label>
                                                                        <select class="form-control" name="status" id="">
                                                                            <option selected disabled>Select Status</option>
                                                                            <option value="1">ACTIVE</option>
                                                                            <option value="2">HOLD</option>
                                                                                                                                                        <option value="3">SUSPEND</option>

                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <input type="text" name="id" value="{{$values->id}}" hidden>
                                                                    <button class="btn btn-primary" type="submit">Save</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-title p-3"> SELECT BILLING CODE </div>
                                                    <div class="card-body">
                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <button class="btn btn-danger disabled">BILLING CODE STATUS : {{getUserStatus($values->billing_code)}} </button>
                                                            </div>
                                                        </div>

                                                        <form action="{{route('admin.users.update_billing_status')}}" method="post">
                                                            @csrf
                                                            <div class="row mb-3 mt-2">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for=""> SELECT TYPE IF HOLD OR ACTIVE </label>
                                                                        <select class="form-control" name="status" id="">
                                                                            <option selected disabled>Select Status</option>
                                                                            <option value="1">ACTIVE</option>
                                                                            <option value="2">HOLD</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <input type="text" name="id" value="{{$values->id}}" hidden>
                                                                    <button class="btn btn-primary" type="submit">Save</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-title p-3">CHANGE PIN</div>
                                                    <div class="card-body">
                                                        <form action="{{route('admin.users.update_pin')}}" method="post">
                                                            @csrf
                                                            <button class="btn btn-danger disabled mb-2">Current Pin : {{$values->acct_pin}}</button>
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for="">New PIN</label>
                                                                        <input type="password" class="form-control" name="pin">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row mt-2">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for="">Confirm PIN</label>
                                                                        <input type="password" class="form-control" name="confirm_pin">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row mt-2">
                                                                <div class="col-md-12">
                                                                    <input type="text" name="id" value="{{$values->id}}" hidden>
                                                                    <button class="btn btn-primary" type="submit">Save</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="card">
                                                    <div class="card-title p-3">CHANGE PASSWORD</div>
                                                    <div class="card-body">
                                                        <form action="{{route('admin.users.update_password')}}" method="post">
                                                            @csrf
                                                            <div class="row">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for="">New Password</label>
                                                                        <input type="password" class="form-control" name="password">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row mt-2">
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label for="">Confirm Password</label>
                                                                        <input type="password" class="form-control" name="confirm_password">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="row mt-2">
                                                                <div class="col-md-12">
                                                                    <input type="text" name="id" value="{{$values->id}}" hidden>
                                                                    <button class="btn btn-primary" type="submit">Save</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!--end card-->
                            </div>
                            <!--end col-->
                            <!--end col-->
                        </div>
                        <!--end row-->
                    </div>
                    <!--end tab-pane-->

                    <div class="tab-pane" id="fund-tab" role="tabpanel">
                        <div class="row">
                            <div class="col-xxl-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="card crm-widget">
                                                    <div class="card-body p-0">
                                                        <div class="row row-cols-md-3 row-cols-1">
                                                            <div class="col col-lg border-end">
                                                                <div class="py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Account Balance <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>                         </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->balance) === '0')? "0" :$values->balance}}">{{$values->balance}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Profit <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i></h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->profit) === '0')? "0" :$values->profit}}">{{$values->profit}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Referral Bonus <i class="ri-arrow-down-circle-line text-danger fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-pulse-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->referral_bonus) === '0')? "0" :$values->referral_bonus}}">{{$values->referral_bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-lg-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Bonus <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-trophy-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{(($values->bonus) === '0')? "0" :$values->bonus}}">{{$values->bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                        </div><!-- end row -->
                                                    </div><!-- end card body -->
                                                </div><!-- end card -->
                                            </div><!-- end col -->
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="card">
                                <div class="card-body">
                                    <form action="{{route('admin.users.fund_account')}}" method="post">
                                        @csrf
                                        <div class="row mb-2">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="">Amount</label>
                                                    <input type="number" class="form-control" name="amount" placeholder="Amount">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="">From</label>
                                                    <input type="text" class="form-control" name="from">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-2">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="">Date</label>
                                                    <input type="date" class="form-control" name="date" placeholder="Amount">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="">Time</label>
                                                    <input type="time" class="form-control" name="time">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row mb-2">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">Description</label>
                                                    <textarea class="form-control" name="description" col="5" row="5"></textarea>

                                                </div>
                                            </div>

                                        </div>

                                            <div class="row mt-3">
                                                <input type="number" value="{{$values->id}}" name="id" hidden>
                                                <div class="col-lg-6 mb-3">
                                                    <button class="btn btn-primary col-12" name="credit">Credit</button>
                                                </div>

                                                <div class="col-lg-6">
                                                    <button class="btn btn-danger col-12" name="debit">Debit</button>

                                                </div>
                                            </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane" id="mail" role="tabpanel">
                        <div class="row">
                            <div class="col-xxl-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="card crm-widget">
                                                    <div class="card-body p-0">
                                                        <div class="row row-cols-md-3 row-cols-1">
                                                            <div class="col col-lg border-end">
                                                                <div class="py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Account Balance <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>                         </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->balance === '0')? "0" :$values->balance}}">{{$values->balance}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">Profit <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i></h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-exchange-dollar-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->profit === '0')? "0" :$values->profit}}">{{$values->profit}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-md-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Referral Bonus <i class="ri-arrow-down-circle-line text-danger fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-pulse-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->referral_bonus === '0')? "0" :$values->referral_bonus}}">{{$values->referral_bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                            <div class="col col-lg border-end">
                                                                <div class="mt-3 mt-lg-0 py-4 px-3">
                                                                    <h5 class="text-muted text-uppercase fs-13">
                                                                        Bonus <i class="ri-arrow-up-circle-line text-success fs-18 float-end align-middle"></i>
                                                                    </h5>
                                                                    <div class="d-flex align-items-center">
                                                                        <div class="flex-shrink-0">
                                                                            <i class="ri-trophy-line display-6 text-muted"></i>
                                                                        </div>
                                                                        <div class="flex-grow-1 ms-3">
                                                                            <h2 class="mb-0">{{adminGetCurrency($values->acct_currency,'currency_symbol')}}<span class="counter-value" data-target="{{($values->bonus === '0')? "0" :$values->bonus}}">{{$values->bonus}}</span></h2>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div><!-- end col -->
                                                        </div><!-- end row -->
                                                    </div><!-- end card body -->
                                                </div><!-- end card -->
                                            </div><!-- end col -->
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="card">
                                <div class="card-body">
                                    <form action="{{route('admin.users.mail',$values->id)}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <label for="">Title</label>
                                                    <input type="text" class="form-control" name="title">
                                                </div>
                                            </div>

                                            <div class="col-lg-12 mt-3">
                                                <div class="form-group">
                                                    <label for="">Message</label>
                                                    <textarea name="message" id="" cols="30" rows="10"
                                                              class="form-control"></textarea>

                                                </div>
                                            </div>

                                            <div class="col-lg-12 mt-2">

                                                <button class="btn btn-primary">Send Mail</button>

                                            </div>

                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!--end tab-content-->
            </div>
        </div>
        <!--end col-->
    </div>
    <!--end row-->

@endpush
