@extends('web.layouts.auth.app')

@push('content')
    <!-- auth-page wrapper -->
    <div class="auth-page-wrapper auth-bg-cover py-5 d-flex justify-content-center align-items-center min-vh-100">
        <div class="bg-overlay"></div>
        <!-- auth-page content -->
        <div class="auth-page-content overflow-hidden pt-lg-5">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card overflow-hidden m-0">
                            <div class="row justify-content-center g-0">
                                <div class="col-lg-6">
                                    <div class="p-lg-5 p-4 auth-one-bg h-100">
                                        <div class="bg-overlay"></div>
                                        <div class="position-relative h-100 d-flex flex-column">
                                            <div class="mb-4">
                                                <a href="{{ url('/') }}" class="d-block">
                                                    <img src="{{url('assets/images/logo/'.get_settings('site_logo'))}}"
                                                         alt="" height="18">
                                                </a>
                                            </div>
                                            <div class="mt-auto">
                                                <div class="mb-3">
                                                    <i class="ri-double-quotes-l display-4 text-success"></i>
                                                </div>

                                                <div id="qoutescarouselIndicators" class="carousel slide"
                                                     data-bs-ride="carousel">
                                                    <div class="carousel-indicators">
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators"
                                                                data-bs-slide-to="0" class="active" aria-current="true"
                                                                aria-label="Slide 1"></button>
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators"
                                                                data-bs-slide-to="1" aria-label="Slide 2"></button>
                                                        <button type="button" data-bs-target="#qoutescarouselIndicators"
                                                                data-bs-slide-to="2" aria-label="Slide 3"></button>
                                                    </div>
                                                    <div class="carousel-inner text-center text-white-50 pb-5">
                                                        <div class="carousel-item active">
                                                            <p class="fs-15 fst-italic">"Join over 100,000 users across the
                                                                globe to trade Giftcards effortlessly with
                                                                {{ ucwords(get_settings('site_title')) }}"</p>
                                                        </div>
                                                        <div class="carousel-item">
                                                            <p class="fs-15 fst-italic">"
                                                                {{ ucwords(get_settings('site_title')) }} gives you access
                                                                to a wide range of digital assets all at your convenience "
                                                            </p>
                                                        </div>
                                                        <div class="carousel-item">
                                                            <p class="fs-15 fst-italic">"
                                                                {{ ucwords(get_settings('site_title')) }} is for the one who
                                                                longs for an easier and convenient way to get anything at
                                                                anytime. {{ ucwords(get_settings('site_title')) }} is for
                                                                you. "</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- end carousel -->

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                $user=\App\Models\User::find(session('usePIN')["id"]);
                                ?>
                                <div class="col-lg-6">
                                    <div class="p-lg-5 p-4">
                                        <div>
                                            <h5 class="text-primary">{{$type}} pin</h5>
                                            <p>Dear <b>{{$user->username}}</b> enter your account {{$type}} pin.</p>
                                        </div>

                                        <div class="mt-4">
                                            <form class="needs-validation" novalidate
                                                  action="{{ route('user.submit_pin') }}" method="post">
                                                @csrf
                                                <div class="mb-3">
                                                    <label for="pin" class="form-label">PIN <span
                                                            class="text-danger">*</span></label>
                                                    <input type="number" class="form-control" id="pin"
                                                           placeholder="Enter {{$type}}" name="pin" required>
                                                </div>
                                                @if(strtolower($type)=="otp")
                                                    <a href="{{route('user.resend_otp_code',"isMobile")}}">resend code</a>
                                                @endif
                                                <div class="mt-4">
                                                    <button class="btn btn-success w-100" type="submit">Submit</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end card -->
                    </div>
                    <!-- end col -->

                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end auth page content -->
@endpush
