@extends('web.layouts.users.app')
@push('content')
    <div class="element-wrapper compact pt-4">
    @include('web.layouts.users.inner_menu')
    @include('web.layouts.users.wallet_dash')
        <div class="row">
            <div class="col-lg-7 col-xxl-6">
                <div class="element-wrapper">
                    <div class="element-box">
                        <div class="element-actions">
                            <div class="form-group">
                                <select class="form-control form-control-sm">
                                    <option selected="true">Last 30 days</option>
                                    <option>This Week</option>
                                    <option>This Month</option>
                                    <option>Today</option>
                                </select>
                            </div>
                        </div>
                        <h5 class="element-box-header">Balance History</h5>
                        <div class="el-chart-w">
                            <canvas data-chart-data="13,28,19,24,43,49,40,35,42,46" height="90"
                                    id="liteLineChartV2" width="300"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            @include('web.layouts.users.side_withdraw_inner')

        </div>
        <div class="element-wrapper">
            <h6 class="element-header">Recent Transactions</h6>
            <div class="element-box-tp">
                <div class="table-responsive">
                    <table class="table table-padded">
                        <thead>
                        <tr>
                            <th>Status</th>
                            <th>Reference</th>
                            <th>Date</th>
                            <th class="text-center">Category</th>
                            <th class="text-right">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach(\App\Models\Transactions::where('user_id',authUser('id'))->orderBy('id','DESC')->LIMIT(10)->get() as $transaction)
                        <tr>
                            <td class="nowrap">
                                {!! getAmountTypeStatus($transaction->status) !!}
                            </td>
                            <td class="nowrap">{{$transaction->trans_id}}</td>
                            <td>
                                <span>{{get_timeago(strtotime($transaction->created_at))}}</span>

                            </td>
                            <td class="text-center">
                                {!! getTransCategory($transaction->trans_type) !!}
                            </td>
                            <td class="text-right bolder nowrap">
                                {!! getAmountTypeStatus($transaction->trans_type,$transaction->amount,false) !!}
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
@endpush
