@extends('web.layouts.users.app')
@push('content')
    <div class="element-wrapper compact pt-4">
        @include('web.layouts.users.inner_menu')
        @include('web.layouts.users.wallet_dash')
        <div class="row">
            <div class="col-lg-7 col-xxl-6">
                <div class="element-wrapper">
                    <div class="element-box">
                        <form action="{{ route('user.deposit') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="step-contents">
                                <div class="step-content active" id="stepContent1">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="">Amount <span
                                                        class="text-danger">({{ authUser('currency_code') }})</span></label>
                                                <input type="number" class="form-control" name="amount" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="">Payment Method</label>
                                        <select class="form-control payment-method" name="py_id">
                                            <option value="" selected disabled>Select Method</option>
                                            @foreach (\App\Models\PaymentMethod::where('status', 'active')->get() as $paymentMethod)
                                                <option value="{{ $paymentMethod->id }}">
                                                    {{ ucwords($paymentMethod->name) }}</option>
                                            @endforeach

                                        </select>
                                    </div>

                                    <div class="mb-3 mt-3">
                                            <span id="walletAddress">
                                                <div class='col-md-12 mt-3 text-center'>
                                                    <img src='' alt='Wallet Barcode' class="d-none">
                                                </div>
                                            </span>
                                    </div>


                                    <div class="col-sm-12" id="response">
                                        <label for="">Wallet Address</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control payment-wallet" id="myInput"
                                                   readonly>
                                            <button class="btn btn-success" type="button"
                                                    onclick="copyFunction()">Copy</button>
                                        </div>

                                    </div>

                                </div>
                                <div class="step-content mt-3" id="stepContent2">
                                    <div class="form-group">
                                        <label for="">Image (Screenshot)*</label>
                                        <input type="file" class="form-control mt-3" name="image">
                                    </div>
                                    <div class="form-buttons-w text-right">
                                        <button class="btn btn-primary">Submit</button>

                                    </div>
                                </div>
                                <div class="step-content" id="stepContent3">

                                    <div class="form-buttons-w text-right">
                                        <a class="btn btn-primary step-trigger-btn"
                                           href="forms_wizard.html#stepContent3">
                                            Continue</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            @include('web.layouts.users.side_withdraw_inner')
        </div>

        <script>
            $(document).ready(function() {
                $("select.payment-method").change(function() {
                    var selectedMethod = $(".payment-method option:selected").val();
                    var paymentStep = $("#stepContent2");

                    if (selectedMethod !== null) {
                        $.ajax({
                            type: "POST",
                            url: "{{ route('user.fetchPayment') }}",
                            data: {
                                "_token": "{{ csrf_token() }}",
                                "payment_method": selectedMethod
                            },
                            beforeSend: function() {
                                $("#walletAddress img").attr("src",
                                    "{{ url('assets/loading-response.gif') }}");
                            },
                            success: function(response) {
                                var res = $.parseJSON(response)
                                $("#response input").val(res.msg);
                                $("#walletAddress img").removeClass("d-none");
                                $("#walletAddress img").attr("src", res.wallet);
                                paymentStep.addClass('active');
                            },
                            error: function() {
                                $("#walletAddress img").addClass("d-none");
                            }
                        });
                    }
                });
            });
        </script>
    @endpush
