@extends('web.layouts.users.app')
@push('content')
    <div class="element-wrapper compact pt-4">
        @include('web.layouts.users.inner_menu')
        @include('web.layouts.users.wallet_dash')
        <div class="row">
            <div class="col-lg-7 col-xxl-6">
                <h3 class="mb-3">Apply for loan</h3>
                <div class="element-wrapper">
                    <div class="element-box">
                        <div class="step-contents">

                            <div class="step-content active" id="stepContent1">
                                <form action="{{ route('user.loan') }}"  method="post" id="">
                                    @csrf
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="">Amount <span
                                                        class="text-danger">({{ authUser('currency_code') }})</span></label>
                                                <input type="number" class="form-control" name="amount" required/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="duration" class="form-label">Duration</label>
                                        <select id="duration" class="form-control" name="duration">
                                            <option value="" disabled selected>--Select Durarion --</option>
                                            @for ($i=1;$i<=12;$i++)
                                            <option value="{{ $i }} mouth">{{ $i }} Month</option>
                                            @endfor
                                           
                                        </select>
                                        <p class="text-danger" data-error="duration" data-for="#loan_form"></p>
                                    </div>
                                    <div class="form-group">
                                        <label for="reason" class="form-label">Reason</label>
                                        <textarea type="text" class="form-control" id="reason" name="reason" placeholder="Enter Reason"></textarea>
                                        <p class="text-danger" data-error="reason" data-for="#loan_form"></p>
                                    </div>
                        

                                    <div class="form-buttons-w text-right">
                                        <button class="btn btn-primary" type="submit" name="submit">Submit</button>
                                    </div>
                                </form>
                            </div>
                         
                            <div class="step-content" id="stepContent3">

                                <div class="form-buttons-w text-right">
                                    <a class="btn btn-primary step-trigger-btn"
                                       href="forms_wizard.html#stepContent3">
                                        Continue</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @include('web.layouts.users.side_withdraw_inner')
        </div>

@endpush
