@extends('web.layouts.users.app')
@push('content')
    <ul class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{route('d.user.dashboard')}}">Dashboard</a></li>
        <li class="breadcrumb-item"><a href="{{route('d.user.profile')}}">Profile</a></li>
        <li class="breadcrumb-item"><span>{{$page_title}}</span></li>
    </ul>
    <div class="content-panel-toggler"><i class="os-icon os-icon-grid-squares-22"></i><span>Sidebar</span>
    </div>
    <div class="content-i">
        <div class="content-box">
            <div class="row">
                <div class="col-sm-5">
                    <div class="user-profile compact">
                        <div class="up-head-w"
                             style="background-image:url('{{url('assets/profiles/'.authUser('image'))}}')">

                            <div class="up-main-info">
                                <h2 class="up-header">{{authUser('firstname')." ".authUser('lastname')}}</h2>
                                <h6 class="up-sub-header">{{authUser('acct_type')}}</h6>
                            </div>
                            <svg class="decor" width="842px" height="219px" viewBox="0 0 842 219"
                                       preserveAspectRatio="xMaxYMax meet" version="1.1"
                                       xmlns="http://www.w3.org/2000/svg"
                                       xmlns:xlink="http://www.w3.org/1999/xlink">
                                <g transform="translate(-381.000000, -362.000000)" fill="#FFFFFF">
                                    <path class="decor-path"
                                          d="M1223,362 L1223,581 L381,581 C868.912802,575.666667 1149.57947,502.666667 1223,362 Z">
                                    </path>
                                </g>
                            </svg>
                        </div>
                        <div class="up-controls">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="value-pair">
                                        <div class="label">Status:</div>
                                        {!! userStatus(authUser('acct_status')) !!}
                                    </div>
                                </div>
                                <div class="col-sm-6 text-right">
                                    <form action="{{route('user.update_profile_picture')}}" method="post" enctype="multipart/form-data">
                                        @csrf
                                        <div class="form-group">
                                            <input type="text" value="{{authUser('image')}}" name="imageFile" hidden>
                                            <input type="file" name="image" accept="image/*" class="form-control">
                                        </div>

                                        <button class="btn btn-primary btn-sm">
                                            <i class="os-icon os-icon-upload"></i>
                                            <span>Upload Profile</span>
                                        </button>
                                    </form>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="element-wrapper">
                        <div class="element-box">
                            <h6 class="element-header">User Activity</h6>
                            <div class="timed-activities compact">
                                <div class="timed-activity">
                                    <div class="ta-date"><span>21st Jan, 2017</span></div>
                                    <div class="ta-record-w">
                                        <div class="ta-record">
                                            <div class="ta-timestamp"><strong>11:55</strong> am</div>
                                            <div class="ta-activity">Created a post called <a
                                                    href="users_profile_small.html#">Register new symbol</a>
                                                in Rogue</div>
                                        </div>
                                        <div class="ta-record">
                                            <div class="ta-timestamp"><strong>2:34</strong> pm</div>
                                            <div class="ta-activity">Commented on story <a
                                                    href="users_profile_small.html#">How to be a leader</a>
                                                in <a href="users_profile_small.html#">Financial</a>
                                                category</div>
                                        </div>
                                        <div class="ta-record">
                                            <div class="ta-timestamp"><strong>7:12</strong> pm</div>
                                            <div class="ta-activity">Added <a
                                                    href="users_profile_small.html#">John Silver</a> as a
                                                friend</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="timed-activity">
                                    <div class="ta-date"><span>3rd Feb, 2017</span></div>
                                    <div class="ta-record-w">
                                        <div class="ta-record">
                                            <div class="ta-timestamp"><strong>9:32</strong> pm</div>
                                            <div class="ta-activity">Added <a
                                                    href="users_profile_small.html#">John Silver</a> as a
                                                friend</div>
                                        </div>
                                        <div class="ta-record">
                                            <div class="ta-timestamp"><strong>5:14</strong> pm</div>
                                            <div class="ta-activity">Commented on story <a
                                                    href="users_profile_small.html#">How to be a leader</a>
                                                in <a href="users_profile_small.html#">Financial</a>
                                                category</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-7">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="element-wrapper">
                                <div class="element-box">

                                        <div class="element-info">
                                            <div class="element-info-with-icon">
                                                <div class="element-info-icon">
                                                    <div class="os-icon os-icon-wallet-loaded"></div>
                                                </div>
                                                <div class="element-info-text">
                                                    <h5 class="element-inner-header">Profile Settings</h5>
                                                    <div class="element-inner-desc">Edit your profile
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label for=""> Account Number</label>
                                            <input class="form-control"
                                                   type="text" value="{{authUser('acct_number')}}" readonly>
                                            <div class="help-block form-text with-errors form-control-feedback">
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for=""> First Name</label><input
                                                        class="form-control" value="{{ucwords(authUser('firstname'))}}"
                                                        placeholder="First Name" readonly>
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for="">Last Name</label><input
                                                        class="form-control"
                                                        value="{{ucwords(authUser('lastname'))}}"
                                                        placeholder="Last Name" readonly>
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group"><label for=""> Email address</label><input
                                                class="form-control"
                                                type="email" value="{{authUser('email')}}" readonly>
                                            <div class="help-block form-text with-errors form-control-feedback">
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label for="">Occupation</label>
                                            <input class="form-control" type="text" value="{{authUser('acct_occupation')}}" readonly>

                                        </div>

                                        <div class="form-group">
                                            <label for=""> Date of
                                                Birth</label>
                                            <input class="single-daterange form-control"
                                                   placeholder="Date of birth" value="{{authUser('acct_dob')}}" required name="acct_dob" readonly>
                                        </div>

                                        <div class="form-group"><label for="">Gender</label>
                                            <select class="form-control">
                                                <option value="" selected>{{authUser('acct_gender')}}</option>
                                            </select>
                                        </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="element-wrapper">
                                <div class="element-box">
                                    <div class="element-info">
                                        <div class="element-info-with-icon">
                                            <div class="element-info-icon">
                                                <div class="os-icon os-icon-wallet-loaded"></div>
                                            </div>
                                            <div class="element-info-text">
                                                <h5 class="element-inner-header">Security Password</h5>
                                                <div class="element-inner-desc">Change Password
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <form id="formValidate" action="{{route('user.changePassword')}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">Current Password</label>
                                                    <input type="password" class="form-control" data-match-error="Current password required" name="current_password" required>
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for=""> Password</label><input
                                                        class="form-control" data-minlength="6"
                                                        placeholder="Password" required="required" type="password" name="new_password">
                                                    <div
                                                        class="help-block form-text text-muted form-control-feedback">
                                                        Minimum of 6 characters</div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for="">Confirm Password</label><input
                                                        class="form-control"
                                                        data-match-error="Passwords don&#39;t match"
                                                        placeholder="Confirm Password" required="required"
                                                        type="password" name="confirm_password">
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-buttons-w">
                                            <button class="btn btn-primary" type="submit">Submit</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="element-wrapper">
                                <div class="element-box">
                                    <div class="element-info">
                                        <div class="element-info-with-icon">
                                            <div class="element-info-icon">
                                                <div class="os-icon os-icon-wallet-loaded"></div>
                                            </div>
                                            <div class="element-info-text">
                                                <h5 class="element-inner-header">Security Pin</h5>
                                                <div class="element-inner-desc">Change Transactions Pin
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <form id="formValidate" action="{{route('user.changePin')}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">Current Pin</label>
                                                    <input type="password" class="form-control" data-match-error="Current Pin required" name="current_pin" required>
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for=""> New Pin</label><input
                                                        class="form-control" data-minlength="4" data-maxlength="4"
                                                        placeholder="New Pin" required="required" type="password" name="new_pin">
                                                    <div
                                                        class="help-block form-text text-muted form-control-feedback">
                                                        Minimum of 4 characters</div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group"><label for="">Confirm Pin</label>
                                                    <input
                                                        class="form-control"
                                                        data-match-error="Passwords don&#39;t match"
                                                        placeholder="Confirm Pin" required="required"
                                                        type="password" name="confirm_pin">
                                                    <div
                                                        class="help-block form-text with-errors form-control-feedback">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-buttons-w">
                                            <button class="btn btn-primary" type="submit">Submit</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endpush
