@extends('web.layouts.users.app')
@push('content')
    <div class="element-wrapper compact pt-4">
        @include('web.layouts.users.inner_menu')
        @include('web.layouts.users.wallet_dash')
        <div class="row">
            <div class="col-lg-7 col-xxl-6">
                <div class="element-wrapper">
                    <div class="element-box">

                        <div class="step-contents">
                            <div class="step-content active" id="stepContent1">
                                <form action="{{ route('user.wire_transfer') }}" method="post" id="wireForm"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-sm-5">
                                            <div class="form-group">
                                                <label for="">Amount <span
                                                        class="text-danger">({{ authUser('currency_code') }})</span></label>
                                                <input type="number" class="form-control" name="amount" required />
                                            </div>
                                        </div>

                                        <div class="col-sm-7">
                                            <div class="form-group">
                                                <label for="">Beneficiary Account Name</label>
                                                <input type="text" class="form-control" name="acct_name" required />
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Bank Name</label>
                                                <input type="text" class="form-control" name="bank_name" required />
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Beneficiary Account No</label>
                                                <input type="text" class="form-control" name="acct_number" required />
                                            </div>
                                        </div>
                                    </div>


                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Country</label>
                                                <select class="form-control payment-method" name="acct_country" required>
                                                    <option selected disabled>Select Country</option>
                                                    @foreach (\App\Models\Country::all() as $country)
                                                        <option value="{{ $country->id }}">{{ ucwords($country->name) }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Swift Code</label>
                                                <input type="text" class="form-control" name="acct_swift" required />
                                            </div>
                                        </div>
                                    </div>


                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Select Account Type</label>
                                                <select class="form-control payment-method" name="acct_type" required>
                                                    <option selected disabled>Account Type</option>
                                                    <option value="Savings">Savings Account</option>
                                                    <option value="Current">Current Account</option>
                                                    <option value="Checking">Checking Account</option>
                                                    <option value="Fixed Deposit">Fixed Deposit</option>
                                                    <option value="Non Resident">Non Resident Account</option>
                                                    <option value="Online Banking">Online Banking</option>
                                                    <option value="Domicilary Account">Domicilary Account</option>
                                                    <option value="Joint Account">Joint Account</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label for="">Routing Number</label>
                                                <input type="text" class="form-control" name="acct_routing" required />
                                            </div>
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label for="">Naration/Purpose</label>
                                        <textarea class="form-control" name="acct_remark" id="" cols="10" rows="5" required></textarea>
                                    </div>

                                    <input type="number" name="isProcess" value="1" hidden>

                                    <div class="form-buttons-w text-right">
                                        <button class="btn btn-primary" type="submit" name="submit">Submit</button>
                                    </div>
                                </form>
                            </div>
                            <div class="step-content mt-3" id="stepContent2">

                                <div class="element-box">
                                    <h5 class="form-header text-center">Confirm Transactions</h5>
                                    <div class="form-desc">
                                        Dear {{ authUser('firstname') }}, you are about to send <code><span
                                                id="amount_to_send"></span></code>. Kinldy click proceed to confirm the
                                        transaction
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table table-striped table-bordered">

                                            <tbody>

                                                <tr>
                                                    <td>Bank Name</td>
                                                    <td><span id="bank_name"></span></td>
                                                </tr>
                                                <tr>
                                                    <td>Beneficiary Account Name</td>
                                                    <td id="bene_name"></td>
                                                </tr>
                                                <tr>
                                                    <td>Beneficiary Account No</td>
                                                    <td id="bene_acct_no"></td>
                                                </tr>
                                                <tr>
                                                    <td>Amount</td>
                                                    <td id="trans_amount"></td>
                                                </tr>

                                                <tr>
                                                    <td>Swift Code</td>
                                                    <td id="swift_code"></td>
                                                </tr>
                                                <tr>
                                                    <td>Account Type</td>
                                                    <td id="acct_type"></td>
                                                </tr>
                                                <tr>
                                                    <td>Routing Number</td>
                                                    <td id="routing_number"></td>
                                                </tr>

                                            </tbody>
                                        </table>
                                    </div>

                                        </div>
                                        <div class="form-buttons-w text-right">
                                            <button class="mr-2 mb-2 btn btn-primary" data-target="#onboardingFormModal" data-toggle="modal" type="button">Proceed</button>

                                        </div>

                            </div>
                            <div class="step-content" id="stepContent3">

                                <div class="form-buttons-w text-right">
                                    <a class="btn btn-primary step-trigger-btn" href="forms_wizard.html#stepContent3">
                                        Continue</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @include('web.layouts.users.side_withdraw_inner')

            <div aria-hidden="true" class="onboarding-modal modal fade animated" id="onboardingFormModal" role="dialog"
                 tabindex="-1">
                <div class="modal-dialog modal-centered" role="document">
                    <div class="modal-content text-center">
                        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                            <span class="close-label">Cancel</span><span class="os-icon os-icon-close"></span>
                        </button>
                        <div class="onboarding-media">
                            <img alt="" src="{{url('assets/web/img/bigicon5.png')}}" width="200px" />
                        </div>
                        <div class="onboarding-content with-gradient">
                            <h4 class="onboarding-title">Verify Transaction</h4>
                            <div class="onboarding-text">
                              Dear,{{authUser('firstname')}} Enter your Otp Code sent to you to Process the Transaction
                            </div>
                            <form action="{{route('user.wire_transfer_update')}}" method="post" id="submitOtp">
                                @csrf
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label for="">Otp Code</label>
                                            <input type="number" class="form-control" placeholder="Enter your Otp Code " name="otp_code" />
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <input type="text" id="success_reference" name="ref_id" hidden>
                                        <button class="btn btn-primary" type="submit" name="submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" id="thankyouModal" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class='row'>
                                <div class='col-md-12'>
                                    <div class='swal2-header text-center'>
                                        <div class='card-body text-dark'>


                                            <p align='center'><img src='https://e-platforms.xyz/images/spinner.gif' width='200'
                                                                   height='200'></p>
                                            <p>Processing... <br> Please Wait</p>

                                            <div class='separator separator-solid separator-dark opacity-20'></div>


                                            <div id='splashcontainer' class='ui centered'></div>
                                            <div name='splashcontainerns' id='splashcontainerns'></div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="modal fade" id="pin_cot" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class='row'>
                                <div class='col-md-12'>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p>Kindly Enter your 6 six Digit COT Code to complete your transaction </p>
                                        </div>
                                    </div>
                                    <form action="{{ route('user.cot_transfer') }}" id="cot_transfer" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">COT Code</label>
                                                    <input type="text" name="reference_id" id="cot_ref_id" hidden>
                                                    <input type="text" class="form-control" name="cot_pin" required>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <button class="btn btn-primary" type="submit"
                                                    name="submit">Proceed</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" id="pin_tax" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class='row'>
                                <div class='col-md-12'>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p>Kindly Enter your 6 six Digit TAX Code to complete your transaction </p>
                                        </div>
                                    </div>
                                    <form action="{{ route('user.tax_transfer') }}" id="tax_transfer" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">TAX Code</label>
                                                    <input type="text" name="tax_reference_id" id="tax_ref_id" hidden>
                                                    <input type="text" class="form-control" name="tax_pin" required>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <button class="btn btn-primary" type="submit"
                                                    name="submit">Proceed</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="modal fade" id="imf_tax" tabindex="-1" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class='row'>
                                <div class='col-md-12'>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p>Kindly Enter your 6 six Digit IMF Code to complete your transaction </p>
                                        </div>
                                    </div>
                                    <form action="{{ route('user.imf_transfer') }}" id="imf_transfer" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="">IMF Code</label>
                                                    <input type="text" name="imf_reference_id" id="imf_ref_id" hidden>
                                                    <input type="text" class="form-control" name="imf_tax" required>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <button class="btn btn-primary" type="submit"
                                                    name="submit">Proceed</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>

    @endpush
