<?php

use App\Http\Controllers\Users\Auth\LoginController;
use App\Http\Controllers\Users\DepositController;
use App\Http\Controllers\Users\DomesticController;
use App\Http\Controllers\Users\LoanController;
use App\Http\Controllers\Users\SupportController;
use App\Http\Controllers\Users\UserController;
use App\Http\Controllers\Users\WireController;
use App\Http\Controllers\Web\WDashboardController;
use Illuminate\Support\Facades\Auth;

Route::middleware(['auth'])->group(function () {
    //TODO UPDATE PROFILE
    Route::post('/update-profile', [UserController::class, 'updateProfile'])->name('user.update_profile');
    //TODO UPDATE PASSWORD
    Route::post('/update-password', [UserController::class, 'changePassword'])->name('user.changePassword');
    //TODO UPDATE SECURITY PIN
    Route::post('/update-pin', [UserController::class, 'changePin'])->name('user.changePin');
    //TODO UPDATE PROFILE PICTURE
    Route::post('/update-profile-picture', [UserController::class, 'updateProfilePicture'])->name('user.update_profile_picture');
    //TODO UPDATE PASSWORD PICTURE
    //TODO FETCH PAYMENTS
    Route::post("/fetchPayment",[UserController::class,'fetchPayment'])->name("user.fetchPayment");

    //TODO DEPOSIT TRANSFER
    Route::post("/deposit",[DepositController::class,'deposit'])->name("user.deposit");

    //TODO WIRE TRANSFER ROUTE
    Route::post("/wire_transfer",[WireController::class,'store'])->name("user.wire_transfer");
    Route::post("/wire_cot_transfer",[WireController::class,'cotTransfer'])->name("user.cot_transfer");
    Route::post("/wire_tax_transfer",[WireController::class,'taxTransfer'])->name("user.tax_transfer");
    Route::post("/wire_imf_transfer",[WireController::class,'imfTransfer'])->name("user.imf_transfer");
    Route::post("/wire_transfer/update",[WireController::class,'update'])->name("user.wire_transfer_update");

    //TODO DOMESTIC TRANSFER
    Route::post("/domestic_transfer",[DomesticController::class,'store'])->name("user.domestic_transfer");
    Route::post("/domestic_transfer/update",[DomesticController::class,'update'])->name("user.domestic_transfer_update");

    //CONTACT SUPPORT
    Route::post('/support/contact',[SupportController::class,'send_support'])->name('user.send_support');

    //LOAN
    Route::post('/loan',[LoanController::class,"apply_loan"])->name("user.loan");
});


//TODO SUBMIT PIN
Route::post('/submit-pin',[LoginController::class,'submitPIN'])->name('user.submit_pin');
Route::get('/resend-pin',[LoginController::class,'resend_otp_code'])->name('user.resend_otp_code');

Route::post('/login', [LoginController::class, 'login'])->name('login.submit');


Route::post('/forget-password', [LoginController::class, 'forgetpassword'])->name('forgetpassword.submit');
Route::post('/reset-password', [LoginController::class, 'reset_password'])->name('reset_password.submit');


Route::get("/logout", function () {
    Auth::logout();
    return CheckDevice('login');
})->name("logout");
