<?php

use App\Http\Controllers\HomeController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//   return CheckDevice("login");
//
//});

Route::get('/',[HomeController::class,'index'])->name('home');
Route::get('personal',[HomeController::class,'personalIndex'])->name('personal.index');
Route::get('business',[HomeController::class,'businessIndex'])->name('business.index');
Route::get('commercial',[HomeController::class,'commercialIndex'])->name('commercial.index');


#GET STATES BY COUNTRY REQUEST
Route::get("/country-states", function (Request $request) {
    $options = ['<option value="">--State--</option>'];
    foreach (\App\Models\State::where("country_id", $request->country)->get() as $val) {
        $val->name = ucwords($val->name);
        $options[] = "<option value= '$val->id'>$val->name</option>";
    }
    return $options;
})->name('get_country_states');


require __DIR__ . '/auth.php';
require __DIR__ . '/mobileAuth.php';
require __DIR__ . '/mobile.php';
require __DIR__ . '/users.php';
require __DIR__ . '/webUsers.php';
require __DIR__ . '/admin.php';
