<?php //5fab14b929a1ed38fc55520e967ffcc5
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\CardsInfo;
    use App\Models\City;
    use App\Models\Country;
    use App\Models\Currency;
    use App\Models\Deposit;
    use App\Models\DomesticTransfer;
    use App\Models\PaymentMethod;
    use App\Models\Settings;
    use App\Models\State;
    use App\Models\SupportTicket;
    use App\Models\Transactions;
    use App\Models\User;
    use App\Models\Wallets;
    use App\Models\WireTransfer;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;

    /**
     * @method CardsInfo|null getOrPut($key, $value)
     * @method CardsInfo|$this shift(int $count = 1)
     * @method CardsInfo|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CardsInfo|$this pop(int $count = 1)
     * @method CardsInfo|null pull($key, \Closure $default = null)
     * @method CardsInfo|null last(callable $callback = null, \Closure $default = null)
     * @method CardsInfo|$this random(callable|int|null $number = null)
     * @method CardsInfo|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CardsInfo|null get($key, \Closure $default = null)
     * @method CardsInfo|null first(callable $callback = null, \Closure $default = null)
     * @method CardsInfo|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CardsInfo|null find($key, $default = null)
     * @method CardsInfo[] all()
     */
    class _IH_CardsInfo_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CardsInfo[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_CardsInfo_QB whereId($value)
     * @method _IH_CardsInfo_QB whereUserId($value)
     * @method _IH_CardsInfo_QB whereCardNumber($value)
     * @method _IH_CardsInfo_QB whereCardExpireDate($value)
     * @method _IH_CardsInfo_QB whereCardCvv($value)
     * @method _IH_CardsInfo_QB whereCardType($value)
     * @method _IH_CardsInfo_QB whereCardBalance($value)
     * @method _IH_CardsInfo_QB whereStatus($value)
     * @method _IH_CardsInfo_QB whereCreatedAt($value)
     * @method _IH_CardsInfo_QB whereUpdatedAt($value)
     * @method CardsInfo baseSole(array|string $columns = ['*'])
     * @method CardsInfo create(array $attributes = [])
     * @method _IH_CardsInfo_C|CardsInfo[] cursor()
     * @method CardsInfo|null|_IH_CardsInfo_C|CardsInfo[] find($id, array|string $columns = ['*'])
     * @method _IH_CardsInfo_C|CardsInfo[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CardsInfo|_IH_CardsInfo_C|CardsInfo[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CardsInfo|_IH_CardsInfo_C|CardsInfo[] findOrFail($id, array|string $columns = ['*'])
     * @method CardsInfo|_IH_CardsInfo_C|CardsInfo[] findOrNew($id, array|string $columns = ['*'])
     * @method CardsInfo first(array|string $columns = ['*'])
     * @method CardsInfo firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CardsInfo firstOrCreate(array $attributes = [], array $values = [])
     * @method CardsInfo firstOrFail(array|string $columns = ['*'])
     * @method CardsInfo firstOrNew(array $attributes = [], array $values = [])
     * @method CardsInfo firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CardsInfo forceCreate(array $attributes)
     * @method _IH_CardsInfo_C|CardsInfo[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CardsInfo_C|CardsInfo[] get(array|string $columns = ['*'])
     * @method CardsInfo getModel()
     * @method CardsInfo[] getModels(array|string $columns = ['*'])
     * @method _IH_CardsInfo_C|CardsInfo[] hydrate(array $items)
     * @method CardsInfo make(array $attributes = [])
     * @method CardsInfo newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CardsInfo[]|_IH_CardsInfo_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|CardsInfo[]|_IH_CardsInfo_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CardsInfo sole(array|string $columns = ['*'])
     * @method CardsInfo updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CardsInfo_QB extends _BaseBuilder {}

    /**
     * @method City|null getOrPut($key, $value)
     * @method City|$this shift(int $count = 1)
     * @method City|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method City|$this pop(int $count = 1)
     * @method City|null pull($key, \Closure $default = null)
     * @method City|null last(callable $callback = null, \Closure $default = null)
     * @method City|$this random(callable|int|null $number = null)
     * @method City|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method City|null get($key, \Closure $default = null)
     * @method City|null first(callable $callback = null, \Closure $default = null)
     * @method City|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method City|null find($key, $default = null)
     * @method City[] all()
     */
    class _IH_City_C extends _BaseCollection {
        /**
         * @param int $size
         * @return City[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_City_QB whereId($value)
     * @method _IH_City_QB whereStateId($value)
     * @method _IH_City_QB whereName($value)
     * @method _IH_City_QB whereStatus($value)
     * @method _IH_City_QB whereCreatedAt($value)
     * @method _IH_City_QB whereUpdatedAt($value)
     * @method _IH_City_QB whereDeletedAt($value)
     * @method City baseSole(array|string $columns = ['*'])
     * @method City create(array $attributes = [])
     * @method _IH_City_C|City[] cursor()
     * @method City|null|_IH_City_C|City[] find($id, array|string $columns = ['*'])
     * @method _IH_City_C|City[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method City|_IH_City_C|City[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method City|_IH_City_C|City[] findOrFail($id, array|string $columns = ['*'])
     * @method City|_IH_City_C|City[] findOrNew($id, array|string $columns = ['*'])
     * @method City first(array|string $columns = ['*'])
     * @method City firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method City firstOrCreate(array $attributes = [], array $values = [])
     * @method City firstOrFail(array|string $columns = ['*'])
     * @method City firstOrNew(array $attributes = [], array $values = [])
     * @method City firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method City forceCreate(array $attributes)
     * @method _IH_City_C|City[] fromQuery(string $query, array $bindings = [])
     * @method _IH_City_C|City[] get(array|string $columns = ['*'])
     * @method City getModel()
     * @method City[] getModels(array|string $columns = ['*'])
     * @method _IH_City_C|City[] hydrate(array $items)
     * @method City make(array $attributes = [])
     * @method City newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|City[]|_IH_City_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|City[]|_IH_City_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method City sole(array|string $columns = ['*'])
     * @method City updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_City_QB extends _BaseBuilder {}

    /**
     * @method Country|null getOrPut($key, $value)
     * @method Country|$this shift(int $count = 1)
     * @method Country|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Country|$this pop(int $count = 1)
     * @method Country|null pull($key, \Closure $default = null)
     * @method Country|null last(callable $callback = null, \Closure $default = null)
     * @method Country|$this random(callable|int|null $number = null)
     * @method Country|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Country|null get($key, \Closure $default = null)
     * @method Country|null first(callable $callback = null, \Closure $default = null)
     * @method Country|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Country|null find($key, $default = null)
     * @method Country[] all()
     */
    class _IH_Country_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Country[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Country_QB whereId($value)
     * @method _IH_Country_QB whereName($value)
     * @method _IH_Country_QB whereStatus($value)
     * @method _IH_Country_QB whereCreatedAt($value)
     * @method _IH_Country_QB whereUpdatedAt($value)
     * @method _IH_Country_QB whereDeletedAt($value)
     * @method Country baseSole(array|string $columns = ['*'])
     * @method Country create(array $attributes = [])
     * @method _IH_Country_C|Country[] cursor()
     * @method Country|null|_IH_Country_C|Country[] find($id, array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country|_IH_Country_C|Country[] findOrFail($id, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOrNew($id, array|string $columns = ['*'])
     * @method Country first(array|string $columns = ['*'])
     * @method Country firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country firstOrCreate(array $attributes = [], array $values = [])
     * @method Country firstOrFail(array|string $columns = ['*'])
     * @method Country firstOrNew(array $attributes = [], array $values = [])
     * @method Country firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Country forceCreate(array $attributes)
     * @method _IH_Country_C|Country[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Country_C|Country[] get(array|string $columns = ['*'])
     * @method Country getModel()
     * @method Country[] getModels(array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] hydrate(array $items)
     * @method Country make(array $attributes = [])
     * @method Country newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Country[]|_IH_Country_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Country[]|_IH_Country_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country sole(array|string $columns = ['*'])
     * @method Country updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Country_QB extends _BaseBuilder {}

    /**
     * @method Currency|null getOrPut($key, $value)
     * @method Currency|$this shift(int $count = 1)
     * @method Currency|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|$this pop(int $count = 1)
     * @method Currency|null pull($key, \Closure $default = null)
     * @method Currency|null last(callable $callback = null, \Closure $default = null)
     * @method Currency|$this random(callable|int|null $number = null)
     * @method Currency|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|null get($key, \Closure $default = null)
     * @method Currency|null first(callable $callback = null, \Closure $default = null)
     * @method Currency|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Currency|null find($key, $default = null)
     * @method Currency[] all()
     */
    class _IH_Currency_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Currency[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Currency_QB whereId($value)
     * @method _IH_Currency_QB whereCurrencyName($value)
     * @method _IH_Currency_QB whereCurrencyCode($value)
     * @method _IH_Currency_QB whereCurrencySymbol($value)
     * @method _IH_Currency_QB whereCurrencyStatus($value)
     * @method _IH_Currency_QB whereCreatedAt($value)
     * @method _IH_Currency_QB whereUpdatedAt($value)
     * @method Currency baseSole(array|string $columns = ['*'])
     * @method Currency create(array $attributes = [])
     * @method _IH_Currency_C|Currency[] cursor()
     * @method Currency|null|_IH_Currency_C|Currency[] find($id, array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency|_IH_Currency_C|Currency[] findOrFail($id, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOrNew($id, array|string $columns = ['*'])
     * @method Currency first(array|string $columns = ['*'])
     * @method Currency firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency firstOrCreate(array $attributes = [], array $values = [])
     * @method Currency firstOrFail(array|string $columns = ['*'])
     * @method Currency firstOrNew(array $attributes = [], array $values = [])
     * @method Currency firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Currency forceCreate(array $attributes)
     * @method _IH_Currency_C|Currency[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Currency_C|Currency[] get(array|string $columns = ['*'])
     * @method Currency getModel()
     * @method Currency[] getModels(array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] hydrate(array $items)
     * @method Currency make(array $attributes = [])
     * @method Currency newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Currency[]|_IH_Currency_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Currency[]|_IH_Currency_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Currency sole(array|string $columns = ['*'])
     * @method Currency updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Currency_QB extends _BaseBuilder {}

    /**
     * @method Deposit|null getOrPut($key, $value)
     * @method Deposit|$this shift(int $count = 1)
     * @method Deposit|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Deposit|$this pop(int $count = 1)
     * @method Deposit|null pull($key, \Closure $default = null)
     * @method Deposit|null last(callable $callback = null, \Closure $default = null)
     * @method Deposit|$this random(callable|int|null $number = null)
     * @method Deposit|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Deposit|null get($key, \Closure $default = null)
     * @method Deposit|null first(callable $callback = null, \Closure $default = null)
     * @method Deposit|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Deposit|null find($key, $default = null)
     * @method Deposit[] all()
     */
    class _IH_Deposit_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Deposit[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Deposit_QB whereId($value)
     * @method _IH_Deposit_QB whereUserId($value)
     * @method _IH_Deposit_QB whereReference($value)
     * @method _IH_Deposit_QB whereAmount($value)
     * @method _IH_Deposit_QB wherePyId($value)
     * @method _IH_Deposit_QB whereImage($value)
     * @method _IH_Deposit_QB whereStatus($value)
     * @method _IH_Deposit_QB whereCreatedAt($value)
     * @method _IH_Deposit_QB whereUpdatedAt($value)
     * @method Deposit baseSole(array|string $columns = ['*'])
     * @method Deposit create(array $attributes = [])
     * @method _IH_Deposit_C|Deposit[] cursor()
     * @method Deposit|null|_IH_Deposit_C|Deposit[] find($id, array|string $columns = ['*'])
     * @method _IH_Deposit_C|Deposit[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Deposit|_IH_Deposit_C|Deposit[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Deposit|_IH_Deposit_C|Deposit[] findOrFail($id, array|string $columns = ['*'])
     * @method Deposit|_IH_Deposit_C|Deposit[] findOrNew($id, array|string $columns = ['*'])
     * @method Deposit first(array|string $columns = ['*'])
     * @method Deposit firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Deposit firstOrCreate(array $attributes = [], array $values = [])
     * @method Deposit firstOrFail(array|string $columns = ['*'])
     * @method Deposit firstOrNew(array $attributes = [], array $values = [])
     * @method Deposit firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Deposit forceCreate(array $attributes)
     * @method _IH_Deposit_C|Deposit[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Deposit_C|Deposit[] get(array|string $columns = ['*'])
     * @method Deposit getModel()
     * @method Deposit[] getModels(array|string $columns = ['*'])
     * @method _IH_Deposit_C|Deposit[] hydrate(array $items)
     * @method Deposit make(array $attributes = [])
     * @method Deposit newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Deposit[]|_IH_Deposit_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Deposit[]|_IH_Deposit_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Deposit sole(array|string $columns = ['*'])
     * @method Deposit updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Deposit_QB extends _BaseBuilder {}

    /**
     * @method DomesticTransfer|null getOrPut($key, $value)
     * @method DomesticTransfer|$this shift(int $count = 1)
     * @method DomesticTransfer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DomesticTransfer|$this pop(int $count = 1)
     * @method DomesticTransfer|null pull($key, \Closure $default = null)
     * @method DomesticTransfer|null last(callable $callback = null, \Closure $default = null)
     * @method DomesticTransfer|$this random(callable|int|null $number = null)
     * @method DomesticTransfer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DomesticTransfer|null get($key, \Closure $default = null)
     * @method DomesticTransfer|null first(callable $callback = null, \Closure $default = null)
     * @method DomesticTransfer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DomesticTransfer|null find($key, $default = null)
     * @method DomesticTransfer[] all()
     */
    class _IH_DomesticTransfer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DomesticTransfer[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_DomesticTransfer_QB whereId($value)
     * @method _IH_DomesticTransfer_QB whereUserId($value)
     * @method _IH_DomesticTransfer_QB whereReference($value)
     * @method _IH_DomesticTransfer_QB whereAmount($value)
     * @method _IH_DomesticTransfer_QB whereBankName($value)
     * @method _IH_DomesticTransfer_QB whereAcctName($value)
     * @method _IH_DomesticTransfer_QB whereAcctNumber($value)
     * @method _IH_DomesticTransfer_QB whereAcctType($value)
     * @method _IH_DomesticTransfer_QB whereAcctRemark($value)
     * @method _IH_DomesticTransfer_QB whereStatus($value)
     * @method _IH_DomesticTransfer_QB whereCreatedAt($value)
     * @method _IH_DomesticTransfer_QB whereUpdatedAt($value)
     * @method DomesticTransfer baseSole(array|string $columns = ['*'])
     * @method DomesticTransfer create(array $attributes = [])
     * @method _IH_DomesticTransfer_C|DomesticTransfer[] cursor()
     * @method DomesticTransfer|null|_IH_DomesticTransfer_C|DomesticTransfer[] find($id, array|string $columns = ['*'])
     * @method _IH_DomesticTransfer_C|DomesticTransfer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DomesticTransfer|_IH_DomesticTransfer_C|DomesticTransfer[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DomesticTransfer|_IH_DomesticTransfer_C|DomesticTransfer[] findOrFail($id, array|string $columns = ['*'])
     * @method DomesticTransfer|_IH_DomesticTransfer_C|DomesticTransfer[] findOrNew($id, array|string $columns = ['*'])
     * @method DomesticTransfer first(array|string $columns = ['*'])
     * @method DomesticTransfer firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DomesticTransfer firstOrCreate(array $attributes = [], array $values = [])
     * @method DomesticTransfer firstOrFail(array|string $columns = ['*'])
     * @method DomesticTransfer firstOrNew(array $attributes = [], array $values = [])
     * @method DomesticTransfer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DomesticTransfer forceCreate(array $attributes)
     * @method _IH_DomesticTransfer_C|DomesticTransfer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DomesticTransfer_C|DomesticTransfer[] get(array|string $columns = ['*'])
     * @method DomesticTransfer getModel()
     * @method DomesticTransfer[] getModels(array|string $columns = ['*'])
     * @method _IH_DomesticTransfer_C|DomesticTransfer[] hydrate(array $items)
     * @method DomesticTransfer make(array $attributes = [])
     * @method DomesticTransfer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DomesticTransfer[]|_IH_DomesticTransfer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|DomesticTransfer[]|_IH_DomesticTransfer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DomesticTransfer sole(array|string $columns = ['*'])
     * @method DomesticTransfer updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DomesticTransfer_QB extends _BaseBuilder {}

    /**
     * @method PaymentMethod|null getOrPut($key, $value)
     * @method PaymentMethod|$this shift(int $count = 1)
     * @method PaymentMethod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethod|$this pop(int $count = 1)
     * @method PaymentMethod|null pull($key, \Closure $default = null)
     * @method PaymentMethod|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentMethod|$this random(callable|int|null $number = null)
     * @method PaymentMethod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentMethod|null get($key, \Closure $default = null)
     * @method PaymentMethod|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentMethod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentMethod|null find($key, $default = null)
     * @method PaymentMethod[] all()
     */
    class _IH_PaymentMethod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentMethod[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_PaymentMethod_QB whereId($value)
     * @method _IH_PaymentMethod_QB whereName($value)
     * @method _IH_PaymentMethod_QB whereWalletAddress($value)
     * @method _IH_PaymentMethod_QB whereImage($value)
     * @method _IH_PaymentMethod_QB whereStatus($value)
     * @method _IH_PaymentMethod_QB whereCreatedAt($value)
     * @method _IH_PaymentMethod_QB whereUpdatedAt($value)
     * @method PaymentMethod baseSole(array|string $columns = ['*'])
     * @method PaymentMethod create(array $attributes = [])
     * @method _IH_PaymentMethod_C|PaymentMethod[] cursor()
     * @method PaymentMethod|null|_IH_PaymentMethod_C|PaymentMethod[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentMethod_C|PaymentMethod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentMethod|_IH_PaymentMethod_C|PaymentMethod[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentMethod first(array|string $columns = ['*'])
     * @method PaymentMethod firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentMethod firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentMethod firstOrFail(array|string $columns = ['*'])
     * @method PaymentMethod firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentMethod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentMethod forceCreate(array $attributes)
     * @method _IH_PaymentMethod_C|PaymentMethod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentMethod_C|PaymentMethod[] get(array|string $columns = ['*'])
     * @method PaymentMethod getModel()
     * @method PaymentMethod[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentMethod_C|PaymentMethod[] hydrate(array $items)
     * @method PaymentMethod make(array $attributes = [])
     * @method PaymentMethod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentMethod[]|_IH_PaymentMethod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PaymentMethod[]|_IH_PaymentMethod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentMethod sole(array|string $columns = ['*'])
     * @method PaymentMethod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentMethod_QB extends _BaseBuilder {}

    /**
     * @method Settings|null getOrPut($key, $value)
     * @method Settings|$this shift(int $count = 1)
     * @method Settings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Settings|$this pop(int $count = 1)
     * @method Settings|null pull($key, \Closure $default = null)
     * @method Settings|null last(callable $callback = null, \Closure $default = null)
     * @method Settings|$this random(callable|int|null $number = null)
     * @method Settings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Settings|null get($key, \Closure $default = null)
     * @method Settings|null first(callable $callback = null, \Closure $default = null)
     * @method Settings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Settings|null find($key, $default = null)
     * @method Settings[] all()
     */
    class _IH_Settings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Settings[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Settings_QB whereId($value)
     * @method _IH_Settings_QB whereSiteKey($value)
     * @method _IH_Settings_QB whereValue($value)
     * @method _IH_Settings_QB whereDescription($value)
     * @method _IH_Settings_QB whereInputType($value)
     * @method _IH_Settings_QB whereCreatedAt($value)
     * @method _IH_Settings_QB whereUpdatedAt($value)
     * @method Settings baseSole(array|string $columns = ['*'])
     * @method Settings create(array $attributes = [])
     * @method _IH_Settings_C|Settings[] cursor()
     * @method Settings|null|_IH_Settings_C|Settings[] find($id, array|string $columns = ['*'])
     * @method _IH_Settings_C|Settings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Settings|_IH_Settings_C|Settings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Settings|_IH_Settings_C|Settings[] findOrFail($id, array|string $columns = ['*'])
     * @method Settings|_IH_Settings_C|Settings[] findOrNew($id, array|string $columns = ['*'])
     * @method Settings first(array|string $columns = ['*'])
     * @method Settings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Settings firstOrCreate(array $attributes = [], array $values = [])
     * @method Settings firstOrFail(array|string $columns = ['*'])
     * @method Settings firstOrNew(array $attributes = [], array $values = [])
     * @method Settings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Settings forceCreate(array $attributes)
     * @method _IH_Settings_C|Settings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Settings_C|Settings[] get(array|string $columns = ['*'])
     * @method Settings getModel()
     * @method Settings[] getModels(array|string $columns = ['*'])
     * @method _IH_Settings_C|Settings[] hydrate(array $items)
     * @method Settings make(array $attributes = [])
     * @method Settings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Settings[]|_IH_Settings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Settings[]|_IH_Settings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Settings sole(array|string $columns = ['*'])
     * @method Settings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Settings_QB extends _BaseBuilder {}

    /**
     * @method State|null getOrPut($key, $value)
     * @method State|$this shift(int $count = 1)
     * @method State|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method State|$this pop(int $count = 1)
     * @method State|null pull($key, \Closure $default = null)
     * @method State|null last(callable $callback = null, \Closure $default = null)
     * @method State|$this random(callable|int|null $number = null)
     * @method State|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method State|null get($key, \Closure $default = null)
     * @method State|null first(callable $callback = null, \Closure $default = null)
     * @method State|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method State|null find($key, $default = null)
     * @method State[] all()
     */
    class _IH_State_C extends _BaseCollection {
        /**
         * @param int $size
         * @return State[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_State_QB whereId($value)
     * @method _IH_State_QB whereCountryId($value)
     * @method _IH_State_QB whereName($value)
     * @method _IH_State_QB whereStatus($value)
     * @method _IH_State_QB whereCreatedAt($value)
     * @method _IH_State_QB whereUpdatedAt($value)
     * @method _IH_State_QB whereDeletedAt($value)
     * @method State baseSole(array|string $columns = ['*'])
     * @method State create(array $attributes = [])
     * @method _IH_State_C|State[] cursor()
     * @method State|null|_IH_State_C|State[] find($id, array|string $columns = ['*'])
     * @method _IH_State_C|State[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method State|_IH_State_C|State[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method State|_IH_State_C|State[] findOrFail($id, array|string $columns = ['*'])
     * @method State|_IH_State_C|State[] findOrNew($id, array|string $columns = ['*'])
     * @method State first(array|string $columns = ['*'])
     * @method State firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method State firstOrCreate(array $attributes = [], array $values = [])
     * @method State firstOrFail(array|string $columns = ['*'])
     * @method State firstOrNew(array $attributes = [], array $values = [])
     * @method State firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method State forceCreate(array $attributes)
     * @method _IH_State_C|State[] fromQuery(string $query, array $bindings = [])
     * @method _IH_State_C|State[] get(array|string $columns = ['*'])
     * @method State getModel()
     * @method State[] getModels(array|string $columns = ['*'])
     * @method _IH_State_C|State[] hydrate(array $items)
     * @method State make(array $attributes = [])
     * @method State newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|State[]|_IH_State_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|State[]|_IH_State_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method State sole(array|string $columns = ['*'])
     * @method State updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_State_QB extends _BaseBuilder {}

    /**
     * @method SupportTicket|null getOrPut($key, $value)
     * @method SupportTicket|$this shift(int $count = 1)
     * @method SupportTicket|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicket|$this pop(int $count = 1)
     * @method SupportTicket|null pull($key, \Closure $default = null)
     * @method SupportTicket|null last(callable $callback = null, \Closure $default = null)
     * @method SupportTicket|$this random(callable|int|null $number = null)
     * @method SupportTicket|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SupportTicket|null get($key, \Closure $default = null)
     * @method SupportTicket|null first(callable $callback = null, \Closure $default = null)
     * @method SupportTicket|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SupportTicket|null find($key, $default = null)
     * @method SupportTicket[] all()
     */
    class _IH_SupportTicket_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SupportTicket[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_SupportTicket_QB whereId($value)
     * @method _IH_SupportTicket_QB whereUserId($value)
     * @method _IH_SupportTicket_QB whereSupportType($value)
     * @method _IH_SupportTicket_QB whereSubject($value)
     * @method _IH_SupportTicket_QB whereMessage($value)
     * @method _IH_SupportTicket_QB whereStatus($value)
     * @method _IH_SupportTicket_QB whereCreatedAt($value)
     * @method _IH_SupportTicket_QB whereUpdatedAt($value)
     * @method SupportTicket baseSole(array|string $columns = ['*'])
     * @method SupportTicket create(array $attributes = [])
     * @method _IH_SupportTicket_C|SupportTicket[] cursor()
     * @method SupportTicket|null|_IH_SupportTicket_C|SupportTicket[] find($id, array|string $columns = ['*'])
     * @method _IH_SupportTicket_C|SupportTicket[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOrFail($id, array|string $columns = ['*'])
     * @method SupportTicket|_IH_SupportTicket_C|SupportTicket[] findOrNew($id, array|string $columns = ['*'])
     * @method SupportTicket first(array|string $columns = ['*'])
     * @method SupportTicket firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SupportTicket firstOrCreate(array $attributes = [], array $values = [])
     * @method SupportTicket firstOrFail(array|string $columns = ['*'])
     * @method SupportTicket firstOrNew(array $attributes = [], array $values = [])
     * @method SupportTicket firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SupportTicket forceCreate(array $attributes)
     * @method _IH_SupportTicket_C|SupportTicket[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SupportTicket_C|SupportTicket[] get(array|string $columns = ['*'])
     * @method SupportTicket getModel()
     * @method SupportTicket[] getModels(array|string $columns = ['*'])
     * @method _IH_SupportTicket_C|SupportTicket[] hydrate(array $items)
     * @method SupportTicket make(array $attributes = [])
     * @method SupportTicket newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SupportTicket[]|_IH_SupportTicket_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SupportTicket[]|_IH_SupportTicket_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SupportTicket sole(array|string $columns = ['*'])
     * @method SupportTicket updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SupportTicket_QB extends _BaseBuilder {}

    /**
     * @method Transactions|null getOrPut($key, $value)
     * @method Transactions|$this shift(int $count = 1)
     * @method Transactions|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Transactions|$this pop(int $count = 1)
     * @method Transactions|null pull($key, \Closure $default = null)
     * @method Transactions|null last(callable $callback = null, \Closure $default = null)
     * @method Transactions|$this random(callable|int|null $number = null)
     * @method Transactions|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Transactions|null get($key, \Closure $default = null)
     * @method Transactions|null first(callable $callback = null, \Closure $default = null)
     * @method Transactions|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Transactions|null find($key, $default = null)
     * @method Transactions[] all()
     */
    class _IH_Transactions_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Transactions[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Transactions_QB whereId($value)
     * @method _IH_Transactions_QB whereUserId($value)
     * @method _IH_Transactions_QB whereDepositId($value)
     * @method _IH_Transactions_QB whereTransReference($value)
     * @method _IH_Transactions_QB whereAmount($value)
     * @method _IH_Transactions_QB whereTransType($value)
     * @method _IH_Transactions_QB whereImage($value)
     * @method _IH_Transactions_QB whereStatus($value)
     * @method _IH_Transactions_QB whereCreatedAt($value)
     * @method _IH_Transactions_QB whereUpdatedAt($value)
     * @method Transactions baseSole(array|string $columns = ['*'])
     * @method Transactions create(array $attributes = [])
     * @method _IH_Transactions_C|Transactions[] cursor()
     * @method Transactions|null|_IH_Transactions_C|Transactions[] find($id, array|string $columns = ['*'])
     * @method _IH_Transactions_C|Transactions[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Transactions|_IH_Transactions_C|Transactions[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Transactions|_IH_Transactions_C|Transactions[] findOrFail($id, array|string $columns = ['*'])
     * @method Transactions|_IH_Transactions_C|Transactions[] findOrNew($id, array|string $columns = ['*'])
     * @method Transactions first(array|string $columns = ['*'])
     * @method Transactions firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Transactions firstOrCreate(array $attributes = [], array $values = [])
     * @method Transactions firstOrFail(array|string $columns = ['*'])
     * @method Transactions firstOrNew(array $attributes = [], array $values = [])
     * @method Transactions firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Transactions forceCreate(array $attributes)
     * @method _IH_Transactions_C|Transactions[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Transactions_C|Transactions[] get(array|string $columns = ['*'])
     * @method Transactions getModel()
     * @method Transactions[] getModels(array|string $columns = ['*'])
     * @method _IH_Transactions_C|Transactions[] hydrate(array $items)
     * @method Transactions make(array $attributes = [])
     * @method Transactions newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Transactions[]|_IH_Transactions_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Transactions[]|_IH_Transactions_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Transactions sole(array|string $columns = ['*'])
     * @method Transactions updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Transactions_QB extends _BaseBuilder {}

    /**
     * @method User|null getOrPut($key, $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereAcctNumber($value)
     * @method _IH_User_QB whereFirstname($value)
     * @method _IH_User_QB whereLastname($value)
     * @method _IH_User_QB whereUsername($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRoleId($value)
     * @method _IH_User_QB wherePhone($value)
     * @method _IH_User_QB whereAcctAddress($value)
     * @method _IH_User_QB whereImage($value)
     * @method _IH_User_QB whereBillingCode($value)
     * @method _IH_User_QB whereAcctLimit($value)
     * @method _IH_User_QB whereAcctType($value)
     * @method _IH_User_QB whereAcctGender($value)
     * @method _IH_User_QB whereMaritalStatus($value)
     * @method _IH_User_QB whereAcctCurrency($value)
     * @method _IH_User_QB whereAcctStatus($value)
     * @method _IH_User_QB whereAcctOccupation($value)
     * @method _IH_User_QB whereAcctDob($value)
     * @method _IH_User_QB whereAcctSsn($value)
     * @method _IH_User_QB whereAcctState($value)
     * @method _IH_User_QB whereAcctCountry($value)
     * @method _IH_User_QB whereAcctPin($value)
     * @method _IH_User_QB whereAcctOtp($value)
     * @method _IH_User_QB whereAcctCot($value)
     * @method _IH_User_QB whereAcctImf($value)
     * @method _IH_User_QB whereAcctTax($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}

    /**
     * @method Wallets|null getOrPut($key, $value)
     * @method Wallets|$this shift(int $count = 1)
     * @method Wallets|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Wallets|$this pop(int $count = 1)
     * @method Wallets|null pull($key, \Closure $default = null)
     * @method Wallets|null last(callable $callback = null, \Closure $default = null)
     * @method Wallets|$this random(callable|int|null $number = null)
     * @method Wallets|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Wallets|null get($key, \Closure $default = null)
     * @method Wallets|null first(callable $callback = null, \Closure $default = null)
     * @method Wallets|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Wallets|null find($key, $default = null)
     * @method Wallets[] all()
     */
    class _IH_Wallets_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Wallets[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_Wallets_QB whereId($value)
     * @method _IH_Wallets_QB whereUserId($value)
     * @method _IH_Wallets_QB whereAcctBalance($value)
     * @method _IH_Wallets_QB whereAcctCredited($value)
     * @method _IH_Wallets_QB whereAcctDebited($value)
     * @method _IH_Wallets_QB whereLoanAmount($value)
     * @method _IH_Wallets_QB whereCreatedAt($value)
     * @method _IH_Wallets_QB whereUpdatedAt($value)
     * @method Wallets baseSole(array|string $columns = ['*'])
     * @method Wallets create(array $attributes = [])
     * @method _IH_Wallets_C|Wallets[] cursor()
     * @method Wallets|null|_IH_Wallets_C|Wallets[] find($id, array|string $columns = ['*'])
     * @method _IH_Wallets_C|Wallets[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Wallets|_IH_Wallets_C|Wallets[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallets|_IH_Wallets_C|Wallets[] findOrFail($id, array|string $columns = ['*'])
     * @method Wallets|_IH_Wallets_C|Wallets[] findOrNew($id, array|string $columns = ['*'])
     * @method Wallets first(array|string $columns = ['*'])
     * @method Wallets firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallets firstOrCreate(array $attributes = [], array $values = [])
     * @method Wallets firstOrFail(array|string $columns = ['*'])
     * @method Wallets firstOrNew(array $attributes = [], array $values = [])
     * @method Wallets firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Wallets forceCreate(array $attributes)
     * @method _IH_Wallets_C|Wallets[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Wallets_C|Wallets[] get(array|string $columns = ['*'])
     * @method Wallets getModel()
     * @method Wallets[] getModels(array|string $columns = ['*'])
     * @method _IH_Wallets_C|Wallets[] hydrate(array $items)
     * @method Wallets make(array $attributes = [])
     * @method Wallets newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Wallets[]|_IH_Wallets_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Wallets[]|_IH_Wallets_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallets sole(array|string $columns = ['*'])
     * @method Wallets updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Wallets_QB extends _BaseBuilder {}

    /**
     * @method WireTransfer|null getOrPut($key, $value)
     * @method WireTransfer|$this shift(int $count = 1)
     * @method WireTransfer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WireTransfer|$this pop(int $count = 1)
     * @method WireTransfer|null pull($key, \Closure $default = null)
     * @method WireTransfer|null last(callable $callback = null, \Closure $default = null)
     * @method WireTransfer|$this random(callable|int|null $number = null)
     * @method WireTransfer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WireTransfer|null get($key, \Closure $default = null)
     * @method WireTransfer|null first(callable $callback = null, \Closure $default = null)
     * @method WireTransfer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WireTransfer|null find($key, $default = null)
     * @method WireTransfer[] all()
     */
    class _IH_WireTransfer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WireTransfer[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }

    /**
     * @method _IH_WireTransfer_QB whereId($value)
     * @method _IH_WireTransfer_QB whereUserId($value)
     * @method _IH_WireTransfer_QB whereReference($value)
     * @method _IH_WireTransfer_QB whereAmount($value)
     * @method _IH_WireTransfer_QB whereBankName($value)
     * @method _IH_WireTransfer_QB whereAcctName($value)
     * @method _IH_WireTransfer_QB whereAcctNumber($value)
     * @method _IH_WireTransfer_QB whereAcctType($value)
     * @method _IH_WireTransfer_QB whereAcctCountry($value)
     * @method _IH_WireTransfer_QB whereAcctSwift($value)
     * @method _IH_WireTransfer_QB whereAcctRouting($value)
     * @method _IH_WireTransfer_QB whereAcctRemark($value)
     * @method _IH_WireTransfer_QB whereStatus($value)
     * @method _IH_WireTransfer_QB whereCreatedAt($value)
     * @method _IH_WireTransfer_QB whereUpdatedAt($value)
     * @method WireTransfer baseSole(array|string $columns = ['*'])
     * @method WireTransfer create(array $attributes = [])
     * @method _IH_WireTransfer_C|WireTransfer[] cursor()
     * @method WireTransfer|null|_IH_WireTransfer_C|WireTransfer[] find($id, array|string $columns = ['*'])
     * @method _IH_WireTransfer_C|WireTransfer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WireTransfer|_IH_WireTransfer_C|WireTransfer[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WireTransfer|_IH_WireTransfer_C|WireTransfer[] findOrFail($id, array|string $columns = ['*'])
     * @method WireTransfer|_IH_WireTransfer_C|WireTransfer[] findOrNew($id, array|string $columns = ['*'])
     * @method WireTransfer first(array|string $columns = ['*'])
     * @method WireTransfer firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WireTransfer firstOrCreate(array $attributes = [], array $values = [])
     * @method WireTransfer firstOrFail(array|string $columns = ['*'])
     * @method WireTransfer firstOrNew(array $attributes = [], array $values = [])
     * @method WireTransfer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WireTransfer forceCreate(array $attributes)
     * @method _IH_WireTransfer_C|WireTransfer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WireTransfer_C|WireTransfer[] get(array|string $columns = ['*'])
     * @method WireTransfer getModel()
     * @method WireTransfer[] getModels(array|string $columns = ['*'])
     * @method _IH_WireTransfer_C|WireTransfer[] hydrate(array $items)
     * @method WireTransfer make(array $attributes = [])
     * @method WireTransfer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WireTransfer[]|_IH_WireTransfer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|WireTransfer[]|_IH_WireTransfer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WireTransfer sole(array|string $columns = ['*'])
     * @method WireTransfer updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WireTransfer_QB extends _BaseBuilder {}
}
