<?php //ed48d986bd55263de893cc83b12775c8
/** @noinspection all */

namespace App\Models {

    use Database\Factories\UserFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasManyThrough;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_CardsInfo_C;
    use LaravelIdea\Helper\App\Models\_IH_CardsInfo_QB;
    use LaravelIdea\Helper\App\Models\_IH_City_C;
    use LaravelIdea\Helper\App\Models\_IH_City_QB;
    use LaravelIdea\Helper\App\Models\_IH_Country_C;
    use LaravelIdea\Helper\App\Models\_IH_Country_QB;
    use LaravelIdea\Helper\App\Models\_IH_Currency_C;
    use LaravelIdea\Helper\App\Models\_IH_Currency_QB;
    use LaravelIdea\Helper\App\Models\_IH_Deposit_C;
    use LaravelIdea\Helper\App\Models\_IH_Deposit_QB;
    use LaravelIdea\Helper\App\Models\_IH_DomesticTransfer_C;
    use LaravelIdea\Helper\App\Models\_IH_DomesticTransfer_QB;
    use LaravelIdea\Helper\App\Models\_IH_PaymentMethod_C;
    use LaravelIdea\Helper\App\Models\_IH_PaymentMethod_QB;
    use LaravelIdea\Helper\App\Models\_IH_Settings_C;
    use LaravelIdea\Helper\App\Models\_IH_Settings_QB;
    use LaravelIdea\Helper\App\Models\_IH_State_C;
    use LaravelIdea\Helper\App\Models\_IH_State_QB;
    use LaravelIdea\Helper\App\Models\_IH_SupportTicket_C;
    use LaravelIdea\Helper\App\Models\_IH_SupportTicket_QB;
    use LaravelIdea\Helper\App\Models\_IH_Transactions_C;
    use LaravelIdea\Helper\App\Models\_IH_Transactions_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\App\Models\_IH_Wallets_C;
    use LaravelIdea\Helper\App\Models\_IH_Wallets_QB;
    use LaravelIdea\Helper\App\Models\_IH_WireTransfer_C;
    use LaravelIdea\Helper\App\Models\_IH_WireTransfer_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;

    /**
     * @property int $id
     * @property int $user_id
     * @property string $card_number
     * @property string $card_expire_date
     * @property string $card_cvv
     * @property string $card_type
     * @property float $card_balance
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CardsInfo_QB onWriteConnection()
     * @method _IH_CardsInfo_QB newQuery()
     * @method static _IH_CardsInfo_QB on(null|string $connection = null)
     * @method static _IH_CardsInfo_QB query()
     * @method static _IH_CardsInfo_QB with(array|string $relations)
     * @method _IH_CardsInfo_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CardsInfo_C|CardsInfo[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_CardsInfo_QB
     */
    class CardsInfo extends Model {}

    /**
     * @property int $id
     * @property int $state_id
     * @property string $name
     * @property string $status
     * @property Carbon $created_at
     * @property Carbon $updated_at
     * @property Carbon|null $deleted_at
     * @property State $state
     * @method BelongsTo|_IH_State_QB state()
     * @method static _IH_City_QB onWriteConnection()
     * @method _IH_City_QB newQuery()
     * @method static _IH_City_QB on(null|string $connection = null)
     * @method static _IH_City_QB query()
     * @method static _IH_City_QB with(array|string $relations)
     * @method _IH_City_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_City_C|City[] all()
     * @ownLinks state_id,\App\Models\State,id
     * @mixin _IH_City_QB
     */
    class City extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $status
     * @property Carbon $created_at
     * @property Carbon $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_City_C|City[] $cities
     * @property-read int $cities_count
     * @method HasManyThrough|_IH_City_QB cities()
     * @property _IH_State_C|State[] $states
     * @property-read int $states_count
     * @method HasMany|_IH_State_QB states()
     * @method static _IH_Country_QB onWriteConnection()
     * @method _IH_Country_QB newQuery()
     * @method static _IH_Country_QB on(null|string $connection = null)
     * @method static _IH_Country_QB query()
     * @method static _IH_Country_QB with(array|string $relations)
     * @method _IH_Country_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Country_C|Country[] all()
     * @foreignLinks id,\App\Models\State,country_id
     * @mixin _IH_Country_QB
     */
    class Country extends Model {}

    /**
     * @property int $id
     * @property string $currency_name
     * @property string $currency_code
     * @property string $currency_symbol
     * @property string $currency_status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Currency_QB onWriteConnection()
     * @method _IH_Currency_QB newQuery()
     * @method static _IH_Currency_QB on(null|string $connection = null)
     * @method static _IH_Currency_QB query()
     * @method static _IH_Currency_QB with(array|string $relations)
     * @method _IH_Currency_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Currency_C|Currency[] all()
     * @mixin _IH_Currency_QB
     */
    class Currency extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $reference
     * @property float $amount
     * @property int $py_id
     * @property string|null $image
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Deposit_QB onWriteConnection()
     * @method _IH_Deposit_QB newQuery()
     * @method static _IH_Deposit_QB on(null|string $connection = null)
     * @method static _IH_Deposit_QB query()
     * @method static _IH_Deposit_QB with(array|string $relations)
     * @method _IH_Deposit_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Deposit_C|Deposit[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @foreignLinks id,\App\Models\Transactions,deposit_id
     * @mixin _IH_Deposit_QB
     */
    class Deposit extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $reference
     * @property float $amount
     * @property string $bank_name
     * @property string $acct_name
     * @property string $acct_number
     * @property string $acct_type
     * @property string|null $acct_remark
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_DomesticTransfer_QB onWriteConnection()
     * @method _IH_DomesticTransfer_QB newQuery()
     * @method static _IH_DomesticTransfer_QB on(null|string $connection = null)
     * @method static _IH_DomesticTransfer_QB query()
     * @method static _IH_DomesticTransfer_QB with(array|string $relations)
     * @method _IH_DomesticTransfer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_DomesticTransfer_C|DomesticTransfer[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_DomesticTransfer_QB
     */
    class DomesticTransfer extends Model {}

    /**
     * @property int $id
     * @property string $name
     * @property string $wallet_address
     * @property string|null $image
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_PaymentMethod_QB onWriteConnection()
     * @method _IH_PaymentMethod_QB newQuery()
     * @method static _IH_PaymentMethod_QB on(null|string $connection = null)
     * @method static _IH_PaymentMethod_QB query()
     * @method static _IH_PaymentMethod_QB with(array|string $relations)
     * @method _IH_PaymentMethod_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PaymentMethod_C|PaymentMethod[] all()
     * @mixin _IH_PaymentMethod_QB
     */
    class PaymentMethod extends Model {}

    /**
     * @property int $id
     * @property string $site_key
     * @property string $value
     * @property string|null $description
     * @property string $input_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Settings_QB onWriteConnection()
     * @method _IH_Settings_QB newQuery()
     * @method static _IH_Settings_QB on(null|string $connection = null)
     * @method static _IH_Settings_QB query()
     * @method static _IH_Settings_QB with(array|string $relations)
     * @method _IH_Settings_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Settings_C|Settings[] all()
     * @mixin _IH_Settings_QB
     */
    class Settings extends Model {}

    /**
     * @property int $id
     * @property int $country_id
     * @property string $name
     * @property string $status
     * @property Carbon $created_at
     * @property Carbon $updated_at
     * @property Carbon|null $deleted_at
     * @property _IH_City_C|City[] $cities
     * @property-read int $cities_count
     * @method HasMany|_IH_City_QB cities()
     * @property Country $country
     * @method BelongsTo|_IH_Country_QB country()
     * @method static _IH_State_QB onWriteConnection()
     * @method _IH_State_QB newQuery()
     * @method static _IH_State_QB on(null|string $connection = null)
     * @method static _IH_State_QB query()
     * @method static _IH_State_QB with(array|string $relations)
     * @method _IH_State_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_State_C|State[] all()
     * @ownLinks country_id,\App\Models\Country,id
     * @foreignLinks id,\App\Models\City,state_id
     * @mixin _IH_State_QB
     */
    class State extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $support_type
     * @property string $subject
     * @property string $message
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_SupportTicket_QB onWriteConnection()
     * @method _IH_SupportTicket_QB newQuery()
     * @method static _IH_SupportTicket_QB on(null|string $connection = null)
     * @method static _IH_SupportTicket_QB query()
     * @method static _IH_SupportTicket_QB with(array|string $relations)
     * @method _IH_SupportTicket_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SupportTicket_C|SupportTicket[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_SupportTicket_QB
     */
    class SupportTicket extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string|null $deposit_id
     * @property string $trans_reference
     * @property float $amount
     * @property string $trans_type
     * @property string|null $image
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Transactions_QB onWriteConnection()
     * @method _IH_Transactions_QB newQuery()
     * @method static _IH_Transactions_QB on(null|string $connection = null)
     * @method static _IH_Transactions_QB query()
     * @method static _IH_Transactions_QB with(array|string $relations)
     * @method _IH_Transactions_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Transactions_C|Transactions[] all()
     * @ownLinks user_id,\App\Models\User,id|deposit_id,\App\Models\Deposit,id
     * @mixin _IH_Transactions_QB
     */
    class Transactions extends Model {}

    /**
     * @property int $id
     * @property string $acct_number
     * @property string $firstname
     * @property string $lastname
     * @property string $username
     * @property string $email
     * @property string $password
     * @property int $role_id
     * @property int|null $phone
     * @property string $acct_address
     * @property string $image
     * @property int $billing_code
     * @property float $acct_limit
     * @property string $acct_type
     * @property string $acct_gender
     * @property string $marital_status
     * @property string $acct_currency
     * @property int $acct_status
     * @property string|null $acct_occupation
     * @property Carbon|null $acct_dob
     * @property string|null $acct_ssn
     * @property int|null $acct_state
     * @property int|null $acct_country
     * @property string $acct_pin
     * @property string $acct_otp
     * @property string $acct_cot
     * @property string $acct_imf
     * @property string $acct_tax
     * @property Carbon|null $email_verified_at
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @foreignLinks id,\App\Models\Wallets,user_id|id,\App\Models\Transactions,user_id|id,\App\Models\Deposit,user_id|id,\App\Models\WireTransfer,user_id|id,\App\Models\DomesticTransfer,user_id|id,\App\Models\CardsInfo,user_id|id,\App\Models\SupportTicket,user_id
     * @mixin _IH_User_QB
     * @method static UserFactory factory(array|callable|int|null $count = null, array|callable $state = [])
     */
    class User extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property float $acct_balance
     * @property float $acct_credited
     * @property float $acct_debited
     * @property float $loan_amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Wallets_QB onWriteConnection()
     * @method _IH_Wallets_QB newQuery()
     * @method static _IH_Wallets_QB on(null|string $connection = null)
     * @method static _IH_Wallets_QB query()
     * @method static _IH_Wallets_QB with(array|string $relations)
     * @method _IH_Wallets_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Wallets_C|Wallets[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_Wallets_QB
     */
    class Wallets extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property string $reference
     * @property float $amount
     * @property string $bank_name
     * @property string $acct_name
     * @property string $acct_number
     * @property string $acct_type
     * @property int $acct_country
     * @property string|null $acct_swift
     * @property string|null $acct_routing
     * @property string|null $acct_remark
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_WireTransfer_QB onWriteConnection()
     * @method _IH_WireTransfer_QB newQuery()
     * @method static _IH_WireTransfer_QB on(null|string $connection = null)
     * @method static _IH_WireTransfer_QB query()
     * @method static _IH_WireTransfer_QB with(array|string $relations)
     * @method _IH_WireTransfer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WireTransfer_C|WireTransfer[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_WireTransfer_QB
     */
    class WireTransfer extends Model {}
}
